!
! Catalyst SocketTools 4.0
! Copyright 1995-2004, Catalyst Development Corporation
! All rights reserved
!
! This module contains the confidential and proprietary information
! of Catalyst Development Corporation and may not be redistributed.
!
! This product is licensed to you pursuant to the terms of the
! Catalyst license agreement included with the original software
! and is protected by copyright law and international treaties.
! Unauthorized reproduction or distribution may result in severe
! criminal penalties.
!

CSTOOLS_VERSION_MAJOR			EQUATE(4)
CSTOOLS_VERSION_MINOR			EQUATE(0)
CSTOOLS_VERSION_BUILD			EQUATE(4000)

INVALID_SOCKET					EQUATE(-1)
INVALID_CLIENT					EQUATE(-1)
INVALID_DISPLAY					EQUATE(-1)
INVALID_MESSAGE					EQUATE(-1)
INVALID_MESSAGEPART				EQUATE(-1)

TRACE_DEFAULT					EQUATE(0)
TRACE_INFO						EQUATE(0)
TRACE_ERROR						EQUATE(1)
TRACE_WARNING					EQUATE(2)
TRACE_HEXDUMP					EQUATE(4)

SECURITY_PROTOCOL_NONE			EQUATE(0)
SECURITY_PROTOCOL_SSL2			EQUATE(1)
SECURITY_PROTOCOL_SSL3			EQUATE(2)
SECURITY_PROTOCOL_PCT1			EQUATE(4)
SECURITY_PROTOCOL_TLS1			EQUATE(8)
SECURITY_PROTOCOL_SSL			EQUATE(3)
SECURITY_PROTOCOL_PCT			EQUATE(4)
SECURITY_PROTOCOL_TLS			EQUATE(8)
SECURITY_PROTOCOL_DEFAULT		EQUATE(7)
SECURITY_PROTOCOL_UNKNOWN		EQUATE(256)

SECURITY_CIPHER_NONE			EQUATE(0)
SECURITY_CIPHER_RC2				EQUATE(1)
SECURITY_CIPHER_RC4				EQUATE(2)
SECURITY_CIPHER_DES				EQUATE(4)
SECURITY_CIPHER_DES3			EQUATE(8)
SECURITY_CIPHER_SKIPJACK		EQUATE(16)
SECURITY_CIPHER_UNKNOWN			EQUATE(256)
SECURITY_HASH_NONE				EQUATE(0)
SECURITY_HASH_MD5				EQUATE(1)
SECURITY_HASH_SHA				EQUATE(2)
SECURITY_HASH_UNKNOWN			EQUATE(256)
SECURITY_KEYEX_NONE				EQUATE(0)
SECURITY_KEYEX_RSA				EQUATE(1)
SECURITY_KEYEX_KEA				EQUATE(2)
SECURITY_KEYEX_DH				EQUATE(4)
SECURITY_KEYEX_UNKNOWN			EQUATE(256)

SECURITY_CERTIFICATE_NONE		EQUATE(0)
SECURITY_CERTIFICATE_VALID		EQUATE(1)
SECURITY_CERTIFICATE_NOMATCH	EQUATE(2)
SECURITY_CERTIFICATE_EXPIRED	EQUATE(3)
SECURITY_CERTIFICATE_REVOKED	EQUATE(4)
SECURITY_CERTIFICATE_UNTRUSTED	EQUATE(5)
SECURITY_CERTIFICATE_INVALID	EQUATE(6)

CREDENTIAL_STORE_CURRENT_USER	EQUATE(1)
CREDENTIAL_STORE_LOCAL_MACHINE	EQUATE(2)
CREDENTIAL_STORE_FILENAME		EQUATE(4)

DNS_ERROR						EQUATE(-1)
DNS_PORT_DEFAULT				EQUATE(53)
DNS_TIMEOUT						EQUATE(15)
DNS_RETRIES						EQUATE(4)
DNS_PROTOCOL_TCP				EQUATE(6)
DNS_PROTOCOL_UDP				EQUATE(17)
DNS_PROTOCOL_DEFAULT			EQUATE(6)
DNS_RECORD_NONE					EQUATE(0)
DNS_RECORD_ADDRESS				EQUATE(1)
DNS_RECORD_NS					EQUATE(2)
DNS_RECORD_CNAME				EQUATE(5)
DNS_RECORD_WKS					EQUATE(11)
DNS_RECORD_PTR					EQUATE(12)
DNS_RECORD_HINFO				EQUATE(13)
DNS_RECORD_MINFO				EQUATE(14)
DNS_RECORD_MX					EQUATE(15)
DNS_RECORD_TXT					EQUATE(16)
DNS_RECORD_RP					EQUATE(17)
DNS_RECORD_X25					EQUATE(19)
DNS_RECORD_ISDN					EQUATE(20)
DNS_RECORD_RT					EQUATE(21)
DNS_RECORD_AAAA					EQUATE(28)
DNS_RECORD_LOC					EQUATE(29)
DNS_RECORD_UINFO				EQUATE(100)
DNS_RECORD_UID					EQUATE(101)
DNS_RECORD_GID					EQUATE(102)

FILE_DECODE_DEFAULT				EQUATE(0)
FILE_DECODE_BASE64				EQUATE(1)
FILE_DECODE_QUOTED				EQUATE(2)
FILE_DECODE_UUCODE				EQUATE(3)
FILE_DECODE_YENCODE				EQUATE(4)
FILE_DECODE_COMPRESSED			EQUATE(10000h)

FILE_ENCODE_DEFAULT				EQUATE(0)
FILE_ENCODE_BASE64				EQUATE(1)
FILE_ENCODE_QUOTED				EQUATE(2)
FILE_ENCODE_UUCODE				EQUATE(3)
FILE_ENCODE_YENCODE				EQUATE(4)
FILE_ENCODE_COMPRESSED			EQUATE(10000h)

DATA_DECODE_DEFAULT				EQUATE(0)
DATA_DECODE_BASE64				EQUATE(1)
DATA_DECODE_QUOTED				EQUATE(2)
DATA_DECODE_URL					EQUATE(3)
DATA_DECODE_UTF7				EQUATE(4)
DATA_DECODE_UTF8				EQUATE(5)
DATA_DECODE_COMPRESSED			EQUATE(10000h)

DATA_ENCODE_DEFAULT				EQUATE(0)
DATA_ENCODE_BASE64				EQUATE(1)
DATA_ENCODE_QUOTED				EQUATE(2)
DATA_ENCODE_URL					EQUATE(3)
DATA_ENCODE_UTF7				EQUATE(4)
DATA_ENCODE_UTF8				EQUATE(5)
DATA_ENCODE_COMPRESSED			EQUATE(10000h)
DATA_ENCODE_LINEBREAK			EQUATE(20000h)

COMPRESSION_TYPE_UNKNOWN		EQUATE(0)
COMPRESSION_TYPE_DEFLATE		EQUATE(1)
COMPRESSION_TYPE_BURROWSWHEELER	EQUATE(2)
COMPRESSION_TYPE_DEFAULT		EQUATE(1)
COMPRESSION_LEVEL_DEFAULT		EQUATE(0)
COMPRESSION_LEVEL_MINIMUM		EQUATE(1)
COMPRESSION_LEVEL_MAXIMUM		EQUATE(9)

FINGER_ERROR					EQUATE(-1)
FINGER_STATUS_UNUSED			EQUATE(0)
FINGER_STATUS_IDLE				EQUATE(1)
FINGER_STATUS_CONNECT			EQUATE(2)
FINGER_STATUS_READ				EQUATE(3)
FINGER_STATUS_WRITE				EQUATE(4)
FINGER_STATUS_DISCONNECT		EQUATE(5)
FINGER_EVENT_CONNECT			EQUATE(0001h)
FINGER_EVENT_DISCONNECT			EQUATE(0002h)
FINGER_EVENT_READ				EQUATE(0004h)
FINGER_EVENT_WRITE				EQUATE(0008h)
FINGER_EVENT_TIMEOUT			EQUATE(0010h)
FINGER_EVENT_CANCEL				EQUATE(0020h)

FTP_ERROR						EQUATE(-1)
FTP_STATUS_UNUSED				EQUATE(0)
FTP_STATUS_IDLE					EQUATE(1)
FTP_STATUS_CONNECT				EQUATE(2)
FTP_STATUS_READ					EQUATE(3)
FTP_STATUS_WRITE				EQUATE(4)
FTP_STATUS_DISCONNECT			EQUATE(5)
FTP_STATUS_OPENFILE				EQUATE(6)
FTP_STATUS_CLOSEFILE			EQUATE(7)
FTP_STATUS_GETFILE				EQUATE(8)
FTP_STATUS_PUTFILE				EQUATE(9)
FTP_STATUS_FILELIST				EQUATE(10)
FTP_EVENT_CONNECT				EQUATE(0001h)
FTP_EVENT_DISCONNECT			EQUATE(0002h)
FTP_EVENT_OPENDATA				EQUATE(0004h)
FTP_EVENT_CLOSEDATA				EQUATE(0008h)
FTP_EVENT_READDATA				EQUATE(0010h)
FTP_EVENT_WRITEDATA				EQUATE(0020h)
FTP_EVENT_TIMEOUT				EQUATE(0040h)
FTP_EVENT_CANCEL				EQUATE(0080h)
FTP_EVENT_COMMAND				EQUATE(0100h)
FTP_EVENT_PROGRESS				EQUATE(0200h)
FTP_EVENT_GETFILE				EQUATE(0400h)
FTP_EVENT_PUTFILE				EQUATE(0800h)
FTP_REPLY_RESTMARK      		EQUATE(110)   ! Restart marker reply
FTP_REPLY_NOTREADY				EQUATE(120)   ! Service available in n minutes
FTP_REPLY_DATAOPEN      		EQUATE(125)   ! Data connection open, transfer started
FTP_REPLY_FILEOK        		EQUATE(150)   ! File status okay
FTP_REPLY_CMDOK         		EQUATE(200)   ! Command okay
FTP_REPLY_IGNORED       		EQUATE(202)   ! Command ignored
FTP_REPLY_SYSSTAT      			EQUATE(211)   ! System status
FTP_REPLY_DIRSTAT       		EQUATE(212)   ! Directory status
FTP_REPLY_FILESTAT      		EQUATE(213)   ! File status
FTP_REPLY_HELPMSG       		EQUATE(214)   ! Human-readable help response
FTP_REPLY_SYSTYPE       		EQUATE(215)   ! System type
FTP_REPLY_READY         		EQUATE(220)   ! Service ready for new user
FTP_REPLY_CLOSED        		EQUATE(221)   ! Service closing connection
FTP_REPLY_DATAOPENED    		EQUATE(225)   ! Data connection open
FTP_REPLY_DATACLOSED    		EQUATE(226)   ! Closing data connection
FTP_REPLY_PASVMODE      		EQUATE(227)   ! Entering passive mode
FTP_REPLY_LOGIN        			EQUATE(230)   ! User logged in
FTP_REPLY_SSL_ENABLED			EQUATE(234)   ! SSL enabled
FTP_REPLY_DONE          		EQUATE(250)   ! Requested file action completed
FTP_REPLY_PATHCREATED   		EQUATE(257)   ! Pathname created, etc.
FTP_REPLY_GETPASS       		EQUATE(331)   ! Username okay, need password
FTP_REPLY_GETACCT       		EQUATE(332)   ! Need account for login
FTP_REPLY_PENDING       		EQUATE(350)   ! File action pending
FTP_REPLY_NOTAVAIL      		EQUATE(421)   ! Service not available
FTP_REPLY_OPENFAIL      		EQUATE(425)   ! Cannot open data connection
FTP_REPLY_ABORTED       		EQUATE(426)   ! Connection closed, transfer aborted
FTP_REPLY_FILEBUSY      		EQUATE(450)   ! File is not available
FTP_REPLY_LOCALERR      		EQUATE(451)   ! Local error
FTP_REPLY_NOSPACE       		EQUATE(452)   ! No space on server system
FTP_REPLY_BADSYN        		EQUATE(500)   ! Syntax error
FTP_REPLY_BADARG        		EQUATE(501)   ! Invalid command arguments
FTP_REPLY_BADCMD        		EQUATE(502)   ! Command not implemented
FTP_REPLY_BADSEQ        		EQUATE(503)   ! Bad sequence of commands
FTP_REPLY_BADPARM       		EQUATE(504)   ! Command parameter not implemented
FTP_REPLY_NOLOGIN       		EQUATE(530)   ! User not logged in
FTP_REPLY_ACCTREQ       		EQUATE(532)   ! Account required for storing files
FTP_REPLY_NOFILE        		EQUATE(550)   ! File unavailable
FTP_REPLY_BADPAGE       		EQUATE(551)   ! Page type unknown
FTP_REPLY_EXQUOTA       		EQUATE(552)   ! Exceeded file storage quota
FTP_REPLY_BADFILE       		EQUATE(553)   ! Invalid file name
FTP_SERVER_UNKNOWN				EQUATE(0)
FTP_SERVER_UNIX					EQUATE(1)
FTP_SERVER_MSDOS				EQUATE(2)
FTP_SERVER_WINDOWS				EQUATE(3)
FTP_SERVER_VMS					EQUATE(4)
FTP_PROXY_NONE					EQUATE(0)
FTP_PROXY_USER					EQUATE(1)
FTP_PROXY_LOGIN					EQUATE(2)
FTP_PROXY_OPEN					EQUATE(3)
FTP_PROXY_SITE					EQUATE(4)
FTP_PROXY_OTHER					EQUATE(255)
FTP_DIRECTORY_AUTO				EQUATE(0)
FTP_DIRECTORY_UNIX				EQUATE(1)
FTP_DIRECTORY_MSDOS				EQUATE(2)
FTP_DIRECTORY_VMS				EQUATE(3)
FTP_DIRECTORY_STERLING_1		EQUATE(4)
FTP_DIRECTORY_STERLING_2		EQUATE(5)
FTP_FILE_READ					EQUATE(0)
FTP_FILE_WRITE					EQUATE(1)
FTP_FILE_APPEND					EQUATE(2)
FTP_FILE_UNIQUE					EQUATE(3)
FTP_TRANSFER_DEFAULT			EQUATE(0)
FTP_TRANSFER_APPEND				EQUATE(1)
FTP_LIST_DEFAULT				EQUATE(0)
FTP_LIST_NAMEONLY				EQUATE(1)
FTP_OPTION_NONE					EQUATE(0000h)
FTP_OPTION_PASSIVE				EQUATE(0001h)
FTP_OPTION_SECURE_TLS			EQUATE(0400h)
FTP_OPTION_SECURE_SSL			EQUATE(0800h)
FTP_OPTION_SECURE				EQUATE(1000h)
FTP_OPTION_SECURE_AUTH			EQUATE(2000h)
FTP_OPTION_SECURE_DATA			EQUATE(4000h)
FTP_FEATURE_SIZE				EQUATE(00000001h)
FTP_FEATURE_STAT				EQUATE(00000002h)
FTP_FEATURE_MDTM				EQUATE(00000004h)
FTP_FEATURE_REST				EQUATE(00000008h)
FTP_FEATURE_SITE				EQUATE(00000010h)
FTP_FEATURE_IDLE				EQUATE(0x000020h)
FTP_FEATURE_CHMOD				EQUATE(0x000040h)
FILE_TYPE_ASCII					EQUATE(0)
FILE_TYPE_EBCDIC				EQUATE(1)
FILE_TYPE_IMAGE					EQUATE(2)
FILE_TYPE_TEXT					EQUATE(0)
FILE_TYPE_BINARY				EQUATE(2)
FILE_STRUCT_NONE				EQUATE(0)
FILE_STRUCT_RECORD				EQUATE(1)
FILE_STRUCT_PAGE				EQUATE(2)
FILE_MODE_STREAM				EQUATE(0)
FILE_MODE_BLOCK					EQUATE(1)
FILE_MODE_COMPRESSED			EQUATE(2)
FILE_SYMBOLIC_LINK				EQUATE(1000h)
FILE_OWNER_READ					EQUATE(0400h)
FILE_OWNER_WRITE				EQUATE(0200h)
FILE_OWNER_EXECUTE				EQUATE(0100h)
FILE_GROUP_READ					EQUATE(0040h)
FILE_GROUP_WRITE				EQUATE(0020h)
FILE_GROUP_EXECUTE				EQUATE(0010h)
FILE_WORLD_READ					EQUATE(0004h)
FILE_WORLD_WRITE				EQUATE(0002h)
FILE_WORLD_EXECUTE				EQUATE(0001h)
FTP_STERLING_STATUS_TCP			EQUATE(04000000h)
FTP_STERLING_STATUS_FTP			EQUATE(08000000h)
FTP_STERLING_STATUS_BSC			EQUATE(10000000h)
FTP_STERLING_STATUS_ASC			EQUATE(20000000h)
FTP_STERLING_STATUS_FTS			EQUATE(40000000h)
FTP_STERLING_STATUS_OTHER		EQUATE(80000000h)

GOPHER_ERROR					EQUATE(-1)
GOPHER_ITEM_FILE				EQUATE(0)
GOPHER_ITEM_DIRECTORY			EQUATE(1)
GOPHER_ITEM_PHONEBOOK			EQUATE(2)
GOPHER_ITEM_ERROR				EQUATE(3)
GOPHER_ITEM_BINHEX				EQUATE(4)
GOPHER_ITEM_DOSFILE				EQUATE(5)
GOPHER_ITEM_UUENCODE			EQUATE(6)
GOPHER_ITEM_INDEX				EQUATE(7)
GOPHER_ITEM_TELNET				EQUATE(8)
GOPHER_ITEM_BINARY				EQUATE(9)
GOPHER_ITEM_GIF					EQUATE(10)
GOPHER_ITEM_IMAGE				EQUATE(11)
GOPHER_ITEM_TN3270				EQUATE(12)
GOPHER_ITEM_CALENDAR			EQUATE(13)
GOPHER_ITEM_SOUND				EQUATE(14)
GOPHER_ITEM_MIME				EQUATE(15)
GOPHER_ITEM_PDF					EQUATE(16)
GOPHER_ITEM_HTML				EQUATE(17)
GOPHER_ITEM_MAILBOX				EQUATE(18)
GOPHER_ITEM_UNKNOWN				EQUATE(255)
GOPHER_STATUS_UNUSED			EQUATE(0)
GOPHER_STATUS_IDLE				EQUATE(1)
GOPHER_STATUS_CONNECT			EQUATE(2)
GOPHER_STATUS_READ				EQUATE(3)
GOPHER_STATUS_WRITE				EQUATE(4)
GOPHER_STATUS_DISCONNECT		EQUATE(5)
GOPHER_EVENT_CONNECT			EQUATE(0001h)
GOPHER_EVENT_DISCONNECT			EQUATE(0002h)
GOPHER_EVENT_READ				EQUATE(0004h)
GOPHER_EVENT_WRITE				EQUATE(0008h)
GOPHER_EVENT_TIMEOUT			EQUATE(0010h)
GOPHER_EVENT_CANCEL				EQUATE(0020h)
GOPHER_EVENT_INDEX				EQUATE(0040h)
GOPHER_EVENT_PROGRESS			EQUATE(0080h)

HTTP_ERROR						EQUATE(-1)
HTTP_VERSION_09					EQUATE(00009h)
HTTP_VERSION_10					EQUATE(10000h)
HTTP_VERSION_11					EQUATE(10001h)
HTTP_OPTION_NONE				EQUATE(0000h)
HTTP_OPTION_NOCACHE				EQUATE(0001h)
HTTP_OPTION_KEEPALIVE			EQUATE(0002h)
HTTP_OPTION_REDIRECT			EQUATE(0004h)
HTTP_OPTION_SECURE				EQUATE(1000h)
HTTP_PROXY_NONE					EQUATE(0)
HTTP_PROXY_CERN					EQUATE(1)
HTTP_PROXY_TUNNEL				EQUATE(2)
HTTP_PROXY_OTHER				EQUATE(255)
HTTP_AUTH_NONE					EQUATE(0)
HTTP_AUTH_BASIC					EQUATE(1)
HTTP_HEADERS_REQUEST			EQUATE(0)
HTTP_HEADERS_RESPONSE			EQUATE(1)
HTTP_CONTENT_UNKNOWN			EQUATE(0)
HTTP_CONTENT_BINARY				EQUATE(1)
HTTP_CONTENT_TEXT				EQUATE(2)
HTTP_CONTENT_AUDIO				EQUATE(3)
HTTP_CONTENT_IMAGE				EQUATE(4)
HTTP_CONTENT_MESSAGE			EQUATE(5)
HTTP_CONTENT_MULTIPART			EQUATE(6)
HTTP_CONTENT_VIDEO				EQUATE(7)
HTTP_TRANSFER_DEFAULT			EQUATE(0)
HTTP_TRANSFER_CONVERT			EQUATE(0001h)
HTTP_TRANSFER_UNICODE			EQUATE(1000h)
HTTP_ENCODING_NONE				EQUATE(0)
HTTP_ENCODING_URL				EQUATE(1)
HTTP_ENCODING_XML				EQUATE(2)
HTTP_COOKIE_SECURE				EQUATE(0001h)
HTTP_STATUS_UNUSED				EQUATE(0)
HTTP_STATUS_IDLE				EQUATE(1)
HTTP_STATUS_CONNECT				EQUATE(2)
HTTP_STATUS_READ				EQUATE(3)
HTTP_STATUS_WRITE				EQUATE(4)
HTTP_STATUS_DISCONNECT			EQUATE(5)
HTTP_STATUS_GETDATA				EQUATE(6)
HTTP_STATUS_PUTDATA				EQUATE(7)
HTTP_STATUS_POSTDATA			EQUATE(8)
HTTP_EVENT_CONNECT				EQUATE(0001h)
HTTP_EVENT_DISCONNECT			EQUATE(0002h)
HTTP_EVENT_READ					EQUATE(0004h)
HTTP_EVENT_WRITE				EQUATE(0008h)
HTTP_EVENT_TIMEOUT				EQUATE(0010h)
HTTP_EVENT_CANCEL				EQUATE(0020h)
HTTP_EVENT_COMMAND				EQUATE(0040h)
HTTP_EVENT_PROGRESS				EQUATE(0080h)
HTTP_EVENT_REDIRECT				EQUATE(0100h)

ICMP_ERROR						EQUATE(-1)
ICMP_PACKETSIZE					EQUATE(32)
ICMP_TIMETOLIVE					EQUATE(255)
ICMP_TIMEOUT					EQUATE(3000)
ICMP_EVENT_ECHO					EQUATE(0001h)
ICMP_EVENT_REPLY				EQUATE(0002h)
ICMP_EVENT_TIMEOUT				EQUATE(0004h)
ICMP_EVENT_CANCEL				EQUATE(0008h)
IMAP_ERROR						EQUATE(-1)
IMAP_OPTION_NONE				EQUATE(0)
IMAP_OPTION_SECURE				EQUATE(1000h)
IMAP_AUTH_LOGIN					EQUATE(0)
IMAP_AUTH_DEFAULT				EQUATE(0)
IMAP_RESULT_UNKNOWN				EQUATE(0)
IMAP_RESULT_OK					EQUATE(1)
IMAP_RESULT_NO					EQUATE(2)
IMAP_RESULT_BAD					EQUATE(3)
IMAP_RESULT_CONTINUE			EQUATE(4)
IMAP_ACCESS_READONLY			EQUATE(0)
IMAP_ACCESS_READWRITE			EQUATE(1)
IMAP_FLAG_NONE					EQUATE(00000000h)
IMAP_FLAG_ANSWERED				EQUATE(00000001h)
IMAP_FLAG_DRAFT					EQUATE(00000002h)
IMAP_FLAG_FLAGGED				EQUATE(00000004h)
IMAP_FLAG_SEEN					EQUATE(00000008h)
IMAP_FLAG_RECENT				EQUATE(00000100h)
IMAP_FLAG_DELETED				EQUATE(00000200h)
IMAP_FLAG_NOINFERIORS			EQUATE(00010000h)
IMAP_FLAG_NOSELECT				EQUATE(00020000h)
IMAP_FLAG_MARKED				EQUATE(00040000h)
IMAP_FLAG_UNMARKED				EQUATE(00080000h)
IMAP_FLAGS_REPLACE				EQUATE(0)
IMAP_FLAGS_ADD					EQUATE(1)
IMAP_FLAGS_REMOVE				EQUATE(2)
IMAP_LIST_DEFAULT				EQUATE(00000000h)
IMAP_LIST_SUBSCRIBED			EQUATE(00000001h)
IMAP_LIST_FOLDERS				EQUATE(00000002h)
IMAP_LIST_HIDDEN				EQUATE(00000004h)
IMAP_STATUS_UNUSED				EQUATE(0)
IMAP_STATUS_IDLE				EQUATE(1)
IMAP_STATUS_CONNECT				EQUATE(2)
IMAP_STATUS_READ				EQUATE(3)
IMAP_STATUS_WRITE				EQUATE(4)
IMAP_STATUS_DISCONNECT			EQUATE(5)
IMAP_EVENT_CONNECT				EQUATE(0001h)
IMAP_EVENT_DISCONNECT			EQUATE(0002h)
IMAP_EVENT_READ					EQUATE(0004h)
IMAP_EVENT_WRITE				EQUATE(0008h)
IMAP_EVENT_TIMEOUT				EQUATE(0010h)
IMAP_EVENT_CANCEL				EQUATE(0020h)
IMAP_EVENT_COMMAND				EQUATE(0040h)
IMAP_EVENT_PROGRESS				EQUATE(0080h)
IMAP_SECTION_DEFAULT			EQUATE(0000h)
IMAP_SECTION_HEADER				EQUATE(0001h)
IMAP_SECTION_MIMEHEADER			EQUATE(0002h)
IMAP_SECTION_BODY				EQUATE(0004h)
IMAP_SECTION_PREVIEW			EQUATE(1000h)
IMAP_MAILBOXNAMELEN				EQUATE(256)

INET_ERROR						EQUATE(-1)
INET_PROTOCOL_TCP				EQUATE(6)
INET_PROTOCOL_UDP				EQUATE(17)
INET_PROTOCOL_RAW				EQUATE(255)
INET_ADDRESS_ANY				EQUATE(0)
INET_ADDRESS_NONE				EQUATE(FFFFFFFFh)
INET_ADDRESS_LOOPBACK			EQUATE(100007Fh)
INET_PORT_ANY					EQUATE(0)
INET_PORT_ECHO					EQUATE(7)
INET_PORT_DISCARD				EQUATE(9)
INET_PORT_SYSTAT				EQUATE(11)
INET_PORT_DAYTIME				EQUATE(13)
INET_PORT_NETSTAT				EQUATE(15)
INET_PORT_CHARGEN				EQUATE(19)
INET_PORT_FTP					EQUATE(21)
INET_PORT_TELNET				EQUATE(23)
INET_PORT_SMTP					EQUATE(25)
INET_PORT_TIMESERVER			EQUATE(37)
INET_PORT_NAMESERVER			EQUATE(42)
INET_PORT_WHOIS					EQUATE(43)
INET_PORT_DOMAIN				EQUATE(53)
INET_PORT_MTP					EQUATE(57)
INET_PORT_TFTP					EQUATE(69)
INET_PORT_GOPHER				EQUATE(70)
INET_PORT_FINGER				EQUATE(79)
INET_PORT_HTTP					EQUATE(80)
INET_PORT_POPPASS				EQUATE(106)
INET_PORT_POP3					EQUATE(110)
INET_PORT_NNTP					EQUATE(119)
INET_PORT_IMAP					EQUATE(143)
INET_PORT_SNMP					EQUATE(161)
INET_PORT_HTTPS					EQUATE(443)
INET_PORT_SMTPS					EQUATE(465)
INET_PORT_REXEC					EQUATE(512)
INET_PORT_RLOGIN				EQUATE(513)
INET_PORT_RSHELL				EQUATE(514)
INET_PORT_NNTPS					EQUATE(563)
INET_PORT_LDAPS					EQUATE(636)
INET_PORT_FTPS					EQUATE(990)
INET_PORT_TELNETS				EQUATE(992)
INET_PORT_IMAPS					EQUATE(993)
INET_PORT_POP3S					EQUATE(995)
INET_PORT_RESERVED				EQUATE(1024)
INET_PORT_USERRESERVED			EQUATE(5000)
INET_OPTION_NONE				EQUATE(00000000h)
INET_OPTION_BROADCAST			EQUATE(00000001h)
INET_OPTION_DONTROUTE			EQUATE(00000002h)
INET_OPTION_KEEPALIVE			EQUATE(00000004h)
INET_OPTION_REUSEADDR			EQUATE(00000008h)
INET_OPTION_NODELAY				EQUATE(00000010h)
INET_OPTION_INLINE				EQUATE(00000020h)
INET_OPTION_SECURE				EQUATE(10000000h)
INET_STATUS_UNUSED				EQUATE(0)
INET_STATUS_IDLE				EQUATE(1)
INET_STATUS_LISTEN				EQUATE(2)
INET_STATUS_CONNECT				EQUATE(3)
INET_STATUS_ACCEPT				EQUATE(4)
INET_STATUS_READ				EQUATE(5)
INET_STATUS_WRITE				EQUATE(6)
INET_STATUS_FLUSH				EQUATE(7)
INET_STATUS_DISCONNECT			EQUATE(8)
INET_READ_BUFFER				EQUATE(00000000h)
INET_READ_STREAM				EQUATE(00000001h)
INET_WRITE_BUFFER				EQUATE(00000000h)
INET_WRITE_STREAM				EQUATE(00000001h)
INET_STREAM_BUFFER				EQUATE(00000000h)
INET_STREAM_STRING				EQUATE(00010000h)
INET_STREAM_FILE				EQUATE(00020000h)
INET_STREAM_UNICODE				EQUATE(80000000h)
INET_SHUTDOWN_READ				EQUATE(0)
INET_SHUTDOWN_WRITE				EQUATE(1)
INET_SHUTDOWN_READWRITE			EQUATE(2)
INET_SHUTDOWN_BOTH				EQUATE(2)
INET_EVENT_ACCEPT				EQUATE(0001h)
INET_EVENT_CONNECT				EQUATE(0002h)
INET_EVENT_DISCONNECT			EQUATE(0004h)
INET_EVENT_READ					EQUATE(0008h)
INET_EVENT_WRITE				EQUATE(0010h)
INET_EVENT_TIMEOUT				EQUATE(0020h)
INET_EVENT_CANCEL				EQUATE(0040h)
INET_EVENT_PROGRESS				EQUATE(0080h)

MIME_ERROR						EQUATE(-1)
MIME_CONTENT_UNKNOWN			EQUATE(0)
MIME_CONTENT_APPLICATION		EQUATE(1)
MIME_CONTENT_AUDIO				EQUATE(2)
MIME_CONTENT_IMAGE				EQUATE(3)
MIME_CONTENT_MESSAGE			EQUATE(4)
MIME_CONTENT_MULTIPART			EQUATE(5)
MIME_CONTENT_TEXT				EQUATE(6)
MIME_CONTENT_VIDEO				EQUATE(7)
MIME_CONTENT_DEFAULT			EQUATE(6)
MIME_CHARSET_UNKNOWN			EQUATE(0)
MIME_CHARSET_USASCII			EQUATE(1)
MIME_CHARSET_ISO8859			EQUATE(2)
MIME_CHARSET_ISO8859_1			EQUATE(2)
MIME_CHARSET_ISOLATIN1			EQUATE(2)
MIME_CHARSET_ISO8859_2			EQUATE(3)
MIME_CHARSET_ISOLATIN2			EQUATE(3)
MIME_CHARSET_ISO8859_5			EQUATE(4)
MIME_CHARSET_ISO8859_6			EQUATE(5)
MIME_CHARSET_ISO8859_7			EQUATE(6)
MIME_CHARSET_ISO8859_8			EQUATE(7)
MIME_CHARSET_ISO8859_9			EQUATE(8)
MIME_CHARSET_UTF7				EQUATE(9)
MIME_CHARSET_UTF8				EQUATE(10)
MIME_CHARSET_DEFAULT			EQUATE(1)
MIME_ENCODING_UNKNOWN			EQUATE(0)
MIME_ENCODING_7BIT				EQUATE(1)
MIME_ENCODING_8BIT				EQUATE(2)
MIME_ENCODING_BINARY			EQUATE(3)
MIME_ENCODING_QUOTED			EQUATE(4)
MIME_ENCODING_BASE64			EQUATE(5)
MIME_ENCODING_UUCODE			EQUATE(6)
MIME_ENCODING_DEFAULT			EQUATE(1)
MIME_ATTACH_DEFAULT				EQUATE(0)
MIME_ATTACH_BASE64				EQUATE(1)
MIME_ATTACH_UUCODE				EQUATE(2)
MIME_ATTACH_QUOTED				EQUATE(3)
MIME_ATTACH_ALTERNATIVE			EQUATE(10000h)
MIME_ATTACH_INLINE				EQUATE(20000h)
MIME_HEADER_UNKNOWN				EQUATE(0)
MIME_HEADER_FROM				EQUATE(1)
MIME_HEADER_TO					EQUATE(2)
MIME_HEADER_DATE				EQUATE(3)
MIME_HEADER_SUBJECT				EQUATE(4)
MIME_HEADER_CC					EQUATE(5)
MIME_HEADER_ORGANIZATION		EQUATE(6)
MIME_HEADER_MESSAGEID			EQUATE(7)
MIME_HEADER_VERSION				EQUATE(8)
MIME_HEADER_CONTENT				EQUATE(9)
MIME_HEADER_ENCODING			EQUATE(10)
MIME_HEADER_CONTENTID			EQUATE(11)
MIME_HEADER_DISPOSITION			EQUATE(12)
MIME_HEADER_CONTENTMD5			EQUATE(13)
MIME_HEADER_MAILER				EQUATE(14)
MIME_IMPORT_DEFAULT				EQUATE(0)
MIME_IMPORT_FILE				EQUATE(1)
MIME_IMPORT_CLIPBOARD			EQUATE(2)
MIME_IMPORT_MEMORY				EQUATE(3)
MIME_IMPORT_HGLOBAL				EQUATE(4)
MIME_EXPORT_DEFAULT				EQUATE(0)
MIME_EXPORT_FILE				EQUATE(1)
MIME_EXPORT_CLIPBOARD			EQUATE(2)
MIME_EXPORT_MEMORY				EQUATE(3)
MIME_EXPORT_HGLOBAL				EQUATE(4)
MIME_OPTION_NONE				EQUATE(0)
MIME_OPTION_DEFAULT				EQUATE(0)
MIME_OPTION_ALLHEADERS			EQUATE(1)
MIME_OPTION_KEEPORDER			EQUATE(2)

NNTP_ERROR						EQUATE(-1)
NNTP_REPLY_READY				EQUATE(200)
NNTP_REPLY_SELECTED				EQUATE(211)
NNTP_REPLY_GROUPLIST			EQUATE(215)
NNTP_REPLY_ARTICLE				EQUATE(220)
NNTP_REPLY_HEADER				EQUATE(221)
NNTP_REPLY_BODY					EQUATE(222)
NNTP_REPLY_STATUS				EQUATE(223)
NNTP_REPLY_NEWARTICLES			EQUATE(230)
NNTP_REPLY_NEWGROUPS			EQUATE(231)
NNTP_REPLY_TRANSFERRED			EQUATE(235)
NNTP_REPLY_POSTED				EQUATE(240)
NNTP_REPLY_GROUPTITLE			EQUATE(282)
NNTP_REPLY_XFERARTICLE			EQUATE(335)
NNTP_REPLY_AUTHCONT				EQUATE(350)
NNTP_REPLY_AUTHPASS				EQUATE(381)
NNTP_REPLY_POSTARTICLE			EQUATE(340)
NNTP_REPLY_AUTHSIMPLE			EQUATE(450)
NNTP_REPLY_AUTHORIGIN			EQUATE(480)
NNTP_OPTION_NONE				EQUATE(0)
NNTP_OPTION_SECURE				EQUATE(1000h)
NNTP_GROUP_READONLY				EQUATE(0)
NNTP_GROUP_READWRITE			EQUATE(1)
NNTP_GROUP_MODERATED			EQUATE(2)
NNTP_STATUS_UNUSED				EQUATE(0)
NNTP_STATUS_IDLE				EQUATE(1)
NNTP_STATUS_CONNECT				EQUATE(2)
NNTP_STATUS_READ				EQUATE(3)
NNTP_STATUS_WRITE				EQUATE(4)
NNTP_STATUS_DISCONNECT			EQUATE(5)
NNTP_EVENT_CONNECT				EQUATE(0001h)
NNTP_EVENT_DISCONNECT			EQUATE(0002h)
NNTP_EVENT_READ					EQUATE(0004h)
NNTP_EVENT_WRITE				EQUATE(0008h)
NNTP_EVENT_TIMEOUT				EQUATE(0010h)
NNTP_EVENT_CANCEL				EQUATE(0020h)
NNTP_EVENT_COMMAND				EQUATE(0040h)
NNTP_EVENT_LISTARTICLE			EQUATE(0080h)
NNTP_EVENT_LASTARTICLE			EQUATE(0100h)
NNTP_EVENT_LISTGROUP			EQUATE(0200h)
NNTP_EVENT_LASTGROUP			EQUATE(0400h)
NNTP_EVENT_PROGRESS				EQUATE(0800h)

NVT_EMULATION_NONE				EQUATE(0)
NVT_EMULATION_ANSI				EQUATE(1)
NVT_EMULATION_VT100				EQUATE(2)
NVT_EMULATION_VT220				EQUATE(3)
NVT_COLOR_NORMAL				EQUATE(0)
NVT_COLOR_REVERSE				EQUATE(1)
NVT_COLOR_BOLD					EQUATE(2)
NVT_COLOR_REVERSEBOLD			EQUATE(3)
NVT_COLOR_GRAPHICS				EQUATE(4)
NVT_ATTRIBUTE_NORMAL			EQUATE(0000h)
NVT_ATTRIBUTE_REVERSE			EQUATE(0001h)
NVT_ATTRIBUTE_BOLD				EQUATE(0002h)
NVT_ATTRIBUTE_DIM				EQUATE(0004h)
NVT_ATTRIBUTE_BLINK				EQUATE(0008h)
NVT_ATTRIBUTE_UNDERLINE			EQUATE(0010h)
NVT_ATTRIBUTE_HIDDEN			EQUATE(0020h)
NVT_ATTRIBUTE_PROTECT			EQUATE(0040h)
NVT_MODE_AUTOWRAP				EQUATE(0001h)
NVT_MODE_SHOWCARET				EQUATE(0002h)
NVT_MODE_BLOCKCARET				EQUATE(0004h)
NVT_MODE_BELL					EQUATE(0008h)
NVT_MODE_CRLF					EQUATE(0010h)
NVT_MODE_CRNL					EQUATE(0020h)
NVT_MODE_APPCURSOR				EQUATE(0040h)
NVT_MODE_APPKEYPAD				EQUATE(0080h)
NVT_MODE_ORIGIN					EQUATE(0100h)
NVT_MODE_COLOR					EQUATE(0200h)
NVT_MODE_TABOVER				EQUATE(0400h)
NVT_MODE_HSCROLL				EQUATE(1000h)
NVT_MODE_VSCROLL				EQUATE(2000h)
NVT_MODE_NOREFRESH				EQUATE(8000h)
NVT_CLEAR_EOS					EQUATE(0)
NVT_CLEAR_TOS					EQUATE(1)
NVT_CLEAR_ALL					EQUATE(2)
NVT_ERASE_ATCURSOR				EQUATE(0)
NVT_ERASE_TOCURSOR				EQUATE(1)
NVT_ERASE_LINE					EQUATE(2)
NVT_CURSOR_TO_PIXELS			EQUATE(0)
NVT_PIXELS_TO_CURSOR			EQUATE(1)
NVT_SELECT_DEFAULT				EQUATE(0)
NVT_SELECT_CLIPBOARD			EQUATE(0001h)
NVT_SELECT_NOREFRESH			EQUATE(1000h)
NVT_SELECT_NOBUFFER				EQUATE(2000h)
NVT_SELECT_COMBINE				EQUATE(4000h)
NVT_SELECT_UNSELECT				EQUATE(8000h)
NVT_F1							EQUATE(0)
NVT_F2							EQUATE(1)
NVT_F3							EQUATE(2)
NVT_F4							EQUATE(3)
NVT_F5							EQUATE(4)
NVT_F6							EQUATE(5)
NVT_F7							EQUATE(6)
NVT_F8							EQUATE(7)
NVT_F9							EQUATE(8)
NVT_F10							EQUATE(9)
NVT_F11							EQUATE(10)
NVT_F12							EQUATE(11)
NVT_SF1							EQUATE(12)
NVT_SF2							EQUATE(13)
NVT_SF3							EQUATE(14)
NVT_SF4							EQUATE(15)
NVT_SF5							EQUATE(16)
NVT_SF6							EQUATE(17)
NVT_SF7							EQUATE(18)
NVT_SF8							EQUATE(19)
NVT_SF9							EQUATE(20)
NVT_SF10						EQUATE(21)
NVT_SF11						EQUATE(22)
NVT_SF12						EQUATE(23)
NVT_ENTER						EQUATE(24)
NVT_ERASE						EQUATE(25)
NVT_UP							EQUATE(26)
NVT_DOWN						EQUATE(27)
NVT_LEFT						EQUATE(28)
NVT_RIGHT						EQUATE(29)
NVT_INSERT						EQUATE(30)
NVT_DELETE						EQUATE(31)
NVT_HOME						EQUATE(32)
NVT_END							EQUATE(33)
NVT_PGUP						EQUATE(34)
NVT_PGDN						EQUATE(35)
NVT_APPUP						EQUATE(36)
NVT_APPDOWN						EQUATE(37)
NVT_APPLEFT						EQUATE(38)
NVT_APPRIGHT					EQUATE(39)
NVT_APPENTER					EQUATE(40)
NVT_KEYPAD0						EQUATE(41)
NVT_KEYPAD1						EQUATE(42)
NVT_KEYPAD2						EQUATE(43)
NVT_KEYPAD3						EQUATE(44)
NVT_KEYPAD4						EQUATE(45)
NVT_KEYPAD5						EQUATE(46)
NVT_KEYPAD6						EQUATE(47)
NVT_KEYPAD7						EQUATE(48)
NVT_KEYPAD8						EQUATE(49)
NVT_KEYPAD9						EQUATE(50)

POP_ERROR						EQUATE(-1)
POP_AUTH_PASS					EQUATE(0)
POP_AUTH_APOP					EQUATE(1)
POP_AUTH_DEFAULT				EQUATE(0)
POP_STATUS_UNUSED				EQUATE(0)
POP_STATUS_IDLE					EQUATE(1)
POP_STATUS_CONNECT				EQUATE(2)
POP_STATUS_READ					EQUATE(3)
POP_STATUS_WRITE				EQUATE(4)
POP_STATUS_DISCONNECT			EQUATE(5)
POP_EVENT_CONNECT				EQUATE(0001h)
POP_EVENT_DISCONNECT			EQUATE(0002h)
POP_EVENT_READ					EQUATE(0004h)
POP_EVENT_WRITE					EQUATE(0008h)
POP_EVENT_TIMEOUT				EQUATE(0010h)
POP_EVENT_CANCEL				EQUATE(0020h)
POP_EVENT_COMMAND				EQUATE(0040h)
POP_EVENT_PROGRESS				EQUATE(0080h)
POP_OPTION_NONE					EQUATE(0)
POP_OPTION_LINEBREAK			EQUATE(0001h)
POP_OPTION_SECURE				EQUATE(1000h)
POP_OPTION_SECURE_NOEXT			EQUATE(2000h)

RSH_ERROR						EQUATE(-1)
RSH_OPTION_NONE					EQUATE(0)
RSH_OPTION_RESERVEDPORT			EQUATE(0001h)
RSH_STATUS_UNUSED				EQUATE(0)
RSH_STATUS_IDLE					EQUATE(1)
RSH_STATUS_CONNECT				EQUATE(2)
RSH_STATUS_READ					EQUATE(3)
RSH_STATUS_WRITE				EQUATE(4)
RSH_STATUS_DISCONNECT			EQUATE(5)
RSH_EVENT_CONNECT				EQUATE(0001h)
RSH_EVENT_DISCONNECT			EQUATE(0002h)
RSH_EVENT_READ					EQUATE(0004h)
RSH_EVENT_WRITE					EQUATE(0008h)
RSH_EVENT_TIMEOUT				EQUATE(0010h)
RSH_EVENT_CANCEL				EQUATE(0020h)

SMTP_ERROR						EQUATE(-1)
SMTP_AUTH_DEFAULT				EQUATE(0)
SMTP_AUTH_LOGIN					EQUATE(0)
SMTP_OPTION_NONE				EQUATE(0)
SMTP_OPTION_EXTENDED			EQUATE(0001h)
SMTP_OPTION_SECURE				EQUATE(1000h)
SMTP_OPTION_SECURE_NOEXT		EQUATE(2000h)
SMTP_OPTION_EXPN				EQUATE(0001h)
SMTP_OPTION_VRFY				EQUATE(0002h)
SMTP_OPTION_DSN					EQUATE(0004h)
SMTP_OPTION_SIZE				EQUATE(0008h)
SMTP_OPTION_ETRN				EQUATE(0010h)
SMTP_OPTION_8BITMIME			EQUATE(0020h)
SMTP_OPTION_AUTHLOGIN			EQUATE(0040h)
SMTP_OPTION_STARTTLS			EQUATE(0080h)
SMTP_NOTIFY_DEFAULT				EQUATE(0)
SMTP_NOTIFY_NEVER				EQUATE(0001h)
SMTP_NOTIFY_SUCCESS				EQUATE(0002h)
SMTP_NOTIFY_FAILURE				EQUATE(0004h)
SMTP_NOTIFY_DELAY				EQUATE(0008h)
SMTP_RETURN_HEADERS				EQUATE(0010h)
SMTP_RETURN_MESSAGE				EQUATE(0020h)
SMTP_STATUS_UNUSED				EQUATE(0)
SMTP_STATUS_IDLE				EQUATE(1)
SMTP_STATUS_CONNECT				EQUATE(2)
SMTP_STATUS_READ				EQUATE(3)
SMTP_STATUS_WRITE				EQUATE(4)
SMTP_STATUS_DISCONNECT			EQUATE(5)
SMTP_EVENT_CONNECT				EQUATE(0001h)
SMTP_EVENT_DISCONNECT			EQUATE(0002h)
SMTP_EVENT_READ					EQUATE(0004h)
SMTP_EVENT_WRITE				EQUATE(0008h)
SMTP_EVENT_TIMEOUT				EQUATE(0010h)
SMTP_EVENT_CANCEL				EQUATE(0020h)
SMTP_EVENT_COMMAND				EQUATE(0040h)
SMTP_EVENT_PROGRESS				EQUATE(0080h)
SMTP_MESSAGE_DEFAULT			EQUATE(0000h)
SMTP_MESSAGE_MEMORY				EQUATE(0001h)
SMTP_MESSAGE_FILE				EQUATE(0002h)
SMTP_MESSAGE_CLIPBOARD			EQUATE(0003h)
SMTP_MESSAGE_HGLOBAL			EQUATE(0004h)

TELNET_ERROR					EQUATE(-1)
TELNET_MODE_LOCALECHO			EQUATE(0001h)
TELNET_MODE_BINARY				EQUATE(0002h)
TELNET_OPTION_NONE				EQUATE(0)
TELNET_OPTION_SECURE			EQUATE(1000h)
TELNET_STATUS_UNUSED			EQUATE(0)
TELNET_STATUS_IDLE				EQUATE(1)
TELNET_STATUS_CONNECT			EQUATE(2)
TELNET_STATUS_READ				EQUATE(3)
TELNET_STATUS_WRITE				EQUATE(4)
TELNET_STATUS_DISCONNECT		EQUATE(5)
TELNET_EVENT_CONNECT			EQUATE(0001h)
TELNET_EVENT_DISCONNECT			EQUATE(0002h)
TELNET_EVENT_READ				EQUATE(0004h)
TELNET_EVENT_WRITE				EQUATE(0008h)
TELNET_EVENT_TIMEOUT			EQUATE(0010h)
TELNET_EVENT_CANCEL				EQUATE(0020h)
TELNET_EVENT_OPTION				EQUATE(0040h)

TIME_ERROR						EQUATE(-1)
TIME_STATUS_UNUSED				EQUATE(0)
TIME_STATUS_IDLE				EQUATE(1)
TIME_STATUS_CONNECT				EQUATE(2)
TIME_STATUS_READ				EQUATE(3)
TIME_STATUS_WRITE				EQUATE(4)
TIME_STATUS_DISCONNECT			EQUATE(5)
TIME_EVENT_QUERY				EQUATE(0001h)
TIME_EVENT_REPLY				EQUATE(0002h)
TIME_EVENT_TIMEOUT				EQUATE(0004h)
TIME_EVENT_CANCEL				EQUATE(0008h)

WHOIS_ERROR						EQUATE(-1)
WHOIS_SEARCH_ANY				EQUATE(0)
WHOIS_SEARCH_HANDLE				EQUATE(1)
WHOIS_SEARCH_NAME				EQUATE(2)
WHOIS_SEARCH_MAILBOX			EQUATE(3)
WHOIS_STATUS_UNUSED				EQUATE(0)
WHOIS_STATUS_IDLE				EQUATE(1)
WHOIS_STATUS_CONNECT			EQUATE(2)
WHOIS_STATUS_READ				EQUATE(3)
WHOIS_STATUS_WRITE				EQUATE(4)
WHOIS_STATUS_DISCONNECT			EQUATE(5)
WHOIS_EVENT_CONNECT				EQUATE(0001h)
WHOIS_EVENT_DISCONNECT			EQUATE(0002h)
WHOIS_EVENT_READ				EQUATE(0004h)
WHOIS_EVENT_WRITE				EQUATE(0008h)
WHOIS_EVENT_TIMEOUT				EQUATE(0010h)
WHOIS_EVENT_CANCEL				EQUATE(0020h)

WINSIZE GROUP,TYPE
	cx	LONG
	cy	LONG
END

WINRECT GROUP,TYPE
	Left	LONG
	Top		LONG
	Right	LONG
	Bottom	LONG
END

WINPOINT GROUP,TYPE
	x	LONG
	y	LONG
END

SYSTEMTIME GROUP,TYPE
	wYear           SHORT
	wMonth          SHORT
	wDayOfWeek      SHORT
	wDay            SHORT
	wHour           SHORT
	wMinute         SHORT
	wSecond         SHORT
	wMilliseconds   SHORT
END

DLLVERSIONINFO GROUP,TYPE
	cbSize          LONG
	dwMajorVersion  LONG
	dwMinorVersion  LONG
	dwBuildNumber   LONG
	dwPlatformID    LONG
END

INITDATAPAD GROUP,TYPE
	dwSize         LONG
	dwVersionMajor LONG
	dwVersionMinor LONG
	dwVersionBuild LONG
	dwOptions      LONG
	dwReserved1    LONG
	dwReserved2    LONG
	szDescription  CSTRING(MAXDESCRIPTIONLENGTH+1)
END

INITDATAPADSIZE	EQUATE(8 - SIZE(INITDATAPAD) % 8)

INITDATA GROUP(INITDATAPAD),TYPE
	omit('***endomit***',  INITDATAPADSIZE = 8)
	STRING(INITDATAPADSIZE)
	 ***endomit***
END

SECURITYCREDENTIALSPAD GROUP,TYPE
	dwSize			LONG
	dwProtocol		LONG
	dwOptions		LONG
	dwReserved1		LONG
	dwReserved2		LONG
	lpszUserName    &CSTRING
	lpszPassword    &CSTRING
	lpszCertStore   &CSTRING
	lpszCertName    &CSTRING
	cData           CSTRING(1)
END

SECURITYCREDENTIALSPADSIZE EQUATE(8 - SIZE(SECURITYCREDENTIALSPAD) % 8)

SECURITYCREDENTIALS GROUP(SECURITYCREDENTIALSPAD),TYPE
	omit('***endomit***',  SECURITYCREDENTIALSPADSIZE = 8)
	STRING( SECURITYCREDENTIALSPADSIZE)
	 ***endomit***
END

SECURITYINFO     GROUP,TYPE
	dwSize          LONG
	dwProtocol      LONG
	dwCipher        LONG
	dwCipherStrength LONG
	dwHash          LONG
	dwHashStrength  LONG
	dwKeyExchange   LONG
	dwCertStatus    LONG
	stCertIssued    LIKE(SYSTEMTIME)    
	stCertExpires   LIKE(SYSTEMTIME)
	lpszCertIssuer  &CSTRING
	lpszCertSubject &CSTRING
END

FTP_MAXFILENAMELEN	EQUATE(512)
FTP_MAXOWNERNAMELEN	EQUATE(64)
FTP_MAXGROUPNAMELEN	EQUATE(64)

FTPFILESTATUS GROUP,TYPE
	szFileName      CSTRING(FTP_MAXFILENAMELEN)
	szFileOwner     CSTRING(FTP_MAXOWNERNAMELEN)
	szFileGroup     CSTRING(FTP_MAXGROUPNAMELEN)
	bIsDirectory    LONG
	dwFileSize      LONG
	dwFileLinks     LONG
	dwFileVersion   LONG
	dwFilePerms     LONG
	stFileDate      LIKE(SYSTEMTIME)
END

FTPTRANSFERSTATUS GROUP,TYPE
	dwBytesTotal		LONG
	dwBytesCopied		LONG
	dwBytesPerSecond	LONG
	dwTimeElapsed		LONG
	dwTimeEstimated		LONG
	szLocalFile			CSTRING(FTP_MAXFILENAMELEN)
	szRemoteFile		CSTRING(FTP_MAXFILENAMELEN)
END

GOPHER_MAXHSTNAMLEN		EQUATE(128)
GOPHER_MAXITMSELLEN		EQUATE(256)
GOPHER_MAXITMDSCLEN		EQUATE(256)

GOPHERITEM GROUP,TYPE
    nType				LONG
    nPort				LONG
    nReserved1			LONG
    nReserved2			LONG
    szHostName			CSTRING(GOPHER_MAXHSTNAMLEN)
    szSelector			CSTRING(GOPHER_MAXITMSELLEN)
    szDescription		CSTRING(GOPHER_MAXITMDSCLEN)
END

HTTPTRANSFERSTATUS GROUP,TYPE
    dwBytesTotal		LONG
    dwBytesCopied		LONG
    dwBytesPerSecond	LONG
    dwTimeElapsed		LONG
    dwTimeEstimated		LONG
END

ICMPTIME GROUP,TYPE
    dwTripAverage		LONG
    dwTripMaximum		LONG
    dwTripMinimum		LONG
    dwTripTime			LONG
END

ICMPTRACE GROUP,TYPE
    nDistance			LONG
    dwHostAddress		LONG
    dwTripAverage		LONG
    dwTripMaximum		LONG
    dwTripMinimum		LONG
END

IMAPMAILBOX GROUP,TYPE
    nMessages			LONG
    nRecentMessages		LONG
    nUnseenMessageId	LONG
    dwMailboxUID		LONG
    dwNextMessageUID	LONG
    dwFlags				LONG
    dwPermanentFlags	LONG
    dwAccessMode		LONG
    dwReserved1			LONG
    dwReserved2			LONG
END

IMAPMAILBOXSTATUS GROUP,TYPE
    nMessages			LONG
    RecentMessages		LONG
    nUnseenMessages		LONG
    dwMailboxUID		LONG
    dwNextMessageUID	LONG
    dwReserved			LONG
END

IMAPTRANSFERSTATUS GROUP,TYPE
    nMessageId			LONG
    dwBytesTotal		LONG
    dwBytesCopied		LONG
    dwBytesPerSecond	LONG
    dwTimeElapsed		LONG
    dwTimeEstimated		LONG
END

IMAPMESSAGE GROUP,TYPE
    nMessageId			LONG
    dwMessageUID		LONG
    dwSize				LONG
    dwFlags				LONG
    dwTimestamp			LONG
    dwReserved			LONG
END

NNTP_MAXSUBJLEN			EQUATE(256)
NNTP_MAXAUTHLEN			EQUATE(128)
NNTP_MAXDATELEN			EQUATE(64)
NNTP_MAXMSGIDLEN		EQUATE(128)
NNTP_MAXREFLEN			EQUATE(512)
NNTP_MAXGRPNAMLEN		EQUATE(256)

NEWSARTICLE GROUP,TYPE
    nArticleId			LONG
    nBytes				LONG
    nLines				LONG
    szSubject			CSTRING(NNTP_MAXSUBJLEN)
    szAuthor			CSTRING(NNTP_MAXAUTHLEN)
    szMessageId			CSTRING(NNTP_MAXMSGIDLEN)
    szReferences		CSTRING(NNTP_MAXREFLEN)
    stPosted			LIKE(SYSTEMTIME)
END

NEWSGROUP GROUP,TYPE
    nFirstArticle		LONG
    nLastArticle		LONG
    dwAccess			LONG
    szName				CSTRING(NNTP_MAXGRPNAMLEN)
END

NNTPTRANSFERSTATUS GROUP,TYPE
    nArticleId			LONG
    dwBytesTotal		LONG
    dwBytesCopied		LONG
    dwBytesPerSecond	LONG
    dwTimeElapsed		LONG
    dwTimeEstimated		LONG
END

NVTDISPLAYINFO GROUP,TYPE
	hWnd				LONG
	hFont				LONG
	xPos				LONG
	yPos				LONG
	cxClient			LONG
	cyClient			LONG
	cxChar				LONG
	cyChar				LONG
	nScrollCol			LONG
	nScrollRow			LONG
	nMaxScrollCol		LONG
	nMaxScrollRow		LONG
END

POPTRANSFERSTATUS GROUP,TYPE
    nMessageId			LONG
    dwBytesTotal		LONG
    dwBytesCopied		LONG
    dwBytesPerSecond	LONG
    dwTimeElapsed		LONG
    dwTimeEstimated		LONG
END

SMTPTRANSFERSTATUS GROUP,TYPE
    dwBytesTotal		LONG
    dwBytesCopied		LONG
    dwBytesPerSecond	LONG
    dwTimeElapsed		LONG
    dwTimeEstimated		LONG
END

SECTION ('DNS LIBRARY')
	MODULE('CSDNSAPI')
	COMPILE('**END**',_WIDTH32_)

	DnsAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	DnsCancel(LONG hClient),LONG,PASCAL,RAW
	DnsCloseHandle(LONG hClient),LONG,PASCAL,RAW
	DnsCreateHandle(LONG nTimeout, LONG nRetries, LONG dwReserved),LONG,PASCAL,RAW
	DnsDisableTrace(),LONG,PASCAL,RAW
	DnsEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('DnsEnableTraceA')
	DnsEnumHostAliases(LONG hClient, *CSTRING lpszHostName, *CSTRING lpszHostAlias, LONG nMaxAliases),LONG,PASCAL,RAW,NAME('DnsEnumHostAliasesA')
	DnsEnumMailExchanges(LONG hClient, *CSTRING lpszHostName, *CSTRING lpszMailExchanges, LONG nMaxMailExchanges),LONG,PASCAL,RAW,NAME('DnsEnumMailExchangesA')
	DnsFormatAddress(LONG dwAddress, *CSTRING lpszAddress, LONG cchAddress),LONG,PASCAL,RAW,NAME('DnsFormatAddressA')
	DnsGetAddress(*CSTRING lpszAddress),LONG,PASCAL,RAW,NAME('DnsGetAddressA')
	DnsGetDefaultHostFile(*CSTRING lpszFileName, LONG cchMaxLength),LONG,PASCAL,RAW,NAME('DnsGetDefaultHostFileA')
	DnsGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('DnsGetErrorStringA')
	DnsGetHostAddress(LONG hClient, *CSTRING lpszHostName, *CSTRING lpszAddress, LONG cbAddress),LONG,PASCAL,RAW,NAME('DnsGetHostAddressA')
	DnsGetHostByAddress(LONG hClient, LONG lpvAddress, LONG cbAddress, LONG nAddressFamily),HOSTENT,PASCAL,RAW
	DnsGetHostByName(LONG hClient, *CSTRING lpszHostName),HOSTENT,PASCAL,RAW
	DnsGetHostFile(LONG hClient, *CSTRING lpszFileName, LONG cchMaxLength),LONG,PASCAL,RAW,NAME('DnsGetHostFileA')
	DnsGetHostInfo(LONG hClient, *CSTRING lpszHostName, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('DnsGetHostInfoA')
	DnsGetHostName(LONG hClient, *CSTRING lpszAddress, *CSTRING lpszHostName, LONG cbHostName),LONG,PASCAL,RAW,NAME('DnsGetHostNameA')
	DnsGetHostServices(LONG hClient, *CSTRING lpszHostName, LONG nProtocol, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('DnsGetHostServicesA')
	DnsGetLastError(),LONG,PASCAL,RAW
	DnsGetLocalAddress(LONG hClient),LONG,PASCAL,RAW
	DnsGetLocalDomain(LONG hClient, *CSTRING lpszDomain, LONG cbDomain),LONG,PASCAL,RAW,NAME('DnsGetLocalDomainA')
	DnsGetLocalName(LONG hClient, *CSTRING lpszLocalName, LONG cchLocalName),LONG,PASCAL,RAW,NAME('DnsGetLocalNameA')
	DnsGetMailExchange(LONG hClient, *CSTRING lpszHostName, *LONG lpnPreference, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('DnsGetMailExchangeA')
	DnsGetRecord(LONG hClient, *CSTRING lpszRecordName, LONG nRecordType, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('DnsGetRecordA')
	DnsGetResolverAddress(LONG hClient),LONG,PASCAL,RAW
	DnsGetRetryCount(LONG hClient),LONG,PASCAL,RAW
	DnsGetServerAddress(LONG hClient, LONG nServer),LONG,PASCAL,RAW
	DnsGetServerPort(LONG hClient, LONG nServer),LONG,PASCAL,RAW
	DnsGetTimeout(LONG hClient),LONG,PASCAL,RAW
	DnsInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('DnsInitializeA')
	DnsInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('DnsInitializeExA')
	DnsRegisterServer(LONG hClient, LONG nServer, *CSTRING lpszHostAddress, LONG nPort),LONG,PASCAL,RAW,NAME('DnsRegisterServerA')
	DnsReset(LONG hClient),LONG,PASCAL,RAW
	DnsSetHostFile(LONG hClient, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('DnsSetHostFileA')
	DnsSetLastError(LONG dwError),PASCAL
	DnsSetLocalDomain(LONG hClient, *CSTRING lpszDomain),LONG,PASCAL,RAW,NAME('DnsSetLocalDomainA')
	DnsSetRetryCount(LONG hClient, LONG nRetries),LONG,PASCAL,RAW
	DnsSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	DnsUninitialize(),PASCAL
	DnsUnregisterServer(LONG hClient, LONG nServer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('ENCODING LIBRARY')
	MODULE('CSDCXAPI')
	COMPILE('**END**',_WIDTH32_)

	CompressBuffer(*CSTRING lpInputBuffer, LONG cbInputBuffer, *CSTRING lpOutputBuffer, *LONG lpcbOutputBuffer),LONG,PASCAL,RAW
	CompressFile(*CSTRING lpszInputFile, *CSTRING lpszOutputFile),LONG,PASCAL,RAW,NAME('CompressFileA')
	CompressFileEx(*CSTRING lpszInputFile, *CSTRING lpszOutputFile, LONG dwCompressionType, LONG dwCompressionLevel, LONG lpvReserved, LONG dwReserved),LONG,PASCAL,RAW,NAME('CompressFileExA')
	DecodeBuffer(*CSTRING lpszInput, *CSTRING lpOutput, LONG cbOutput, LONG dwOptions),LONG,PASCAL,RAW,NAME('DecodeBufferA')
	DecodeFile(*CSTRING lpszInputFile, *CSTRING lpszOutputFile, LONG dwOptions, LONG dwReserved),LONG,PASCAL,RAW,NAME('DecodeFileA')
	EncodeBuffer(*CSTRING lpInput, LONG cbInput, *CSTRING lpszOutput, LONG cbOutput, LONG dwOptions),LONG,PASCAL,RAW,NAME('EncodeBufferA')
	EncodeFile(*CSTRING lpszInputFile, *CSTRING lpszOutputFile, LONG dwOptions, LONG dwReserved),LONG,PASCAL,RAW,NAME('EncodeFileA')
	ExpandBuffer(*CSTRING lpInputBuffer, LONG cbInputBuffer, *CSTRING lpOutputBuffer, *LONG lpcbOutputBuffer),LONG,PASCAL,RAW
	ExpandFile(*CSTRING lpszInputFile, *CSTRING lpszOutputFile),LONG,PASCAL,RAW,NAME('ExpandFileA')
	ExpandFileEx(*CSTRING lpszInputFile, *CSTRING lpszOutputFile, LONG dwCompressionType, LONG lpvReserved, LONG dwReserved),LONG,PASCAL,RAW,NAME('ExpandFileExA')

	**END**
	END !MODULE

SECTION ('FINGER LIBRARY')
	MODULE('CSFGRAPI')
	COMPILE('**END**',_WIDTH32_)

	FingerAsyncConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('FingerAsyncConnectA')
	FingerAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	FingerCancel(LONG hClient),LONG,PASCAL,RAW
	FingerConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions),LONG,PASCAL,RAW,NAME('FingerConnectA')
	FingerDisableEvents(LONG hClient),LONG,PASCAL,RAW
	FingerDisableTrace(),LONG,PASCAL,RAW
	FingerDisconnect(LONG hClient),LONG,PASCAL,RAW
	FingerEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	FingerEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	FingerEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('FingerEnableTraceA')
	FingerFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	FingerGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('FingerGetErrorStringA')
	FingerGetLastError(),LONG,PASCAL,RAW
	FingerGetStatus(LONG hClient),LONG,PASCAL,RAW
	FingerGetTimeout(LONG hClient),LONG,PASCAL,RAW
	FingerInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('FingerInitializeA')
	FingerInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('FingerInitializeExA')
	FingerIsBlocking(LONG hClient),LONG,PASCAL,RAW
	FingerIsConnected(LONG hClient),LONG,PASCAL,RAW
	FingerIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	FingerRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	FingerRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	FingerSetLastError(LONG dwError),PASCAL
	FingerSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	FingerUninitialize(),PASCAL
	FingerUser(LONG hClient, *CSTRING lpszUserName),LONG,PASCAL,RAW,NAME('FingerUserA')

	**END**
	END !MODULE

SECTION ('FTP LIBRARY')
	MODULE('CSFTPAPI')
	COMPILE('**END**',_WIDTH32_)

	FtpAccount(LONG hClient, *CSTRING lpszAccount),LONG,PASCAL,RAW,NAME('FtpAccountA')
	FtpAllocate(LONG hClient, LONG dwFileLength, LONG dwRecSize),LONG,PASCAL,RAW
	FtpAsyncConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('FtpAsyncConnectA')
	FtpAsyncProxyConnect(LONG idProxyType, *CSTRING lpszProxyHost, LONG nProxyPort, *CSTRING lpszProxyUser, *CSTRING lpszProxyPassword, *CSTRING lpszRemoteHost, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('FtpAsyncProxyConnectA')
	FtpAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	FtpCancel(LONG hClient),LONG,PASCAL,RAW
	FtpChangeDirectory(LONG hClient, *CSTRING lpszPathName),LONG,PASCAL,RAW,NAME('FtpChangeDirectoryA')
	FtpChangeDirectoryUp(LONG hClient),LONG,PASCAL,RAW
	FtpCloseDirectory(LONG hClient),LONG,PASCAL,RAW
	FtpCloseFile(LONG hClient),LONG,PASCAL,RAW
	FtpCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('FtpCommandA')
	FtpConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('FtpConnectA')
	FtpCreateDirectory(LONG hClient, *CSTRING lpszPathName),LONG,PASCAL,RAW,NAME('FtpCreateDirectoryA')
	FtpCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('FtpCreateSecurityCredentialsA')
	FtpDeleteFile(LONG hClient, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('FtpDeleteFileA')
	FtpDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('FtpDeleteSecurityCredentialsA')
	FtpDisableEvents(LONG hClient),LONG,PASCAL,RAW
	FtpDisableTrace(),LONG,PASCAL,RAW
	FtpDisconnect(LONG hClient),LONG,PASCAL,RAW
	FtpEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	FtpEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	FtpEnableFeature(LONG hClient, LONG dwFeature, LONG bEnabled),LONG,PASCAL,RAW
	FtpEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('FtpEnableTraceA')
	FtpEndOfFile(LONG hClient),LONG,PASCAL,RAW
	FtpFileList(LONG hClient, *CSTRING lpszPathName, LONG dwOptions),LONG,PASCAL,RAW,NAME('FtpFileListA')
	FtpFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	FtpGetData(LONG hClient, *CSTRING lpszRemoteFile, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpGetDataA')
	FtpGetDirectory(LONG hClient, *CSTRING lpszBuffer, LONG cchBuffer),LONG,PASCAL,RAW,NAME('FtpGetDirectoryA')
	FtpGetDirectoryFormat(LONG hClient),LONG,PASCAL,RAW
	FtpGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('FtpGetErrorStringA')
	FtpGetFeatures(LONG hClient),LONG,PASCAL,RAW
	FtpGetFile(LONG hClient, *CSTRING lpszLocalFile, *CSTRING lpszRemoteFile, LONG dwOptions, LONG dwOffset),LONG,PASCAL,RAW,NAME('FtpGetFileA')
	FtpGetFileMask(LONG hClient, *CSTRING lpszFileMask, LONG cchFileMask),LONG,PASCAL,RAW,NAME('FtpGetFileMaskA')
	FtpGetFilePermissions(LONG hClient, *CSTRING lpszFileName, *LONG lpdwPermissions),LONG,PASCAL,RAW,NAME('FtpGetFilePermissionsA')
	FtpGetFileSize(LONG hClient, *CSTRING lpszFileName, *LONG lpdwFileSize),LONG,PASCAL,RAW,NAME('FtpGetFileSizeA')
	FtpGetFileStatus(LONG hClient, *CSTRING lpszFileName, *FTPFILESTATUSA lpFileStatus),LONG,PASCAL,RAW,NAME('FtpGetFileStatusA')
	FtpGetFileTime(LONG hClient, *CSTRING lpszFileName, *SYSTEMTIME lpstFileTime, LONG bLocalize),LONG,PASCAL,RAW,NAME('FtpGetFileTimeA')
	FtpGetFirstFile(LONG hClient, *FTPFILESTATUSA lpFileStatus),LONG,PASCAL,RAW,NAME('FtpGetFirstFileA')
	FtpGetLastError(),LONG,PASCAL,RAW
	FtpGetMultipleFiles(LONG hClient, *CSTRING lpszLocalDirectory, *CSTRING lpszRemoteDirectory, *CSTRING lpszFileMask, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpGetMultipleFilesA')
	FtpGetNextFile(LONG hClient, *FTPFILESTATUSA lpFileStatus),LONG,PASCAL,RAW,NAME('FtpGetNextFileA')
	FtpGetProxyType(LONG hClient),LONG,PASCAL,RAW
	FtpGetResultCode(LONG hClient),LONG,PASCAL,RAW
	FtpGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cbMessage),LONG,PASCAL,RAW,NAME('FtpGetResultStringA')
	FtpGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('FtpGetSecurityInformationA')
	FtpGetServerInformation(LONG hClient, *CSTRING lpszParam, LONG cbParam),LONG,PASCAL,RAW,NAME('FtpGetServerInformationA')
	FtpGetServerStatus(LONG hClient, *CSTRING lpszParam, LONG cbParam),LONG,PASCAL,RAW,NAME('FtpGetServerStatusA')
	FtpGetServerType(LONG hClient),LONG,PASCAL,RAW
	FtpGetStatus(LONG hClient),LONG,PASCAL,RAW
	FtpGetTimeout(LONG hClient),LONG,PASCAL,RAW
	FtpGetTransferStatus(LONG hClient, *FTPTRANSFERSTATUSA lpStatus),LONG,PASCAL,RAW,NAME('FtpGetTransferStatusA')
	FtpGetBufferSize(LONG hClient),LONG,PASCAL,RAW
	FtpInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpInitializeA')
	FtpInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpInitializeExA')
	FtpIsBlocking(LONG hClient),LONG,PASCAL,RAW
	FtpIsConnected(LONG hClient),LONG,PASCAL,RAW
	FtpIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	FtpIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	FtpLogin(LONG hClient, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszAccount),LONG,PASCAL,RAW,NAME('FtpLoginA')
	FtpLogout(LONG hClient),LONG,PASCAL,RAW
	FtpMountStructure(LONG hClient, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('FtpMountStructureA')
	FtpOpenDirectory(LONG hClient, *CSTRING lpszDirectory),LONG,PASCAL,RAW,NAME('FtpOpenDirectoryA')
	FtpOpenFile(LONG hClient, *CSTRING lpszFileName, LONG dwOpenMode, LONG dwFileOffset),LONG,PASCAL,RAW,NAME('FtpOpenFileA')
	FtpPassword(LONG hClient, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('FtpPasswordA')
	FtpProxyConnect(LONG idProxyType, *CSTRING lpszProxyHost, LONG nProxyPort, *CSTRING lpszProxyUser, *CSTRING lpszProxyPassword, *CSTRING lpszRemoteHost, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('FtpProxyConnectA')
	FtpPutData(LONG hClient, *CSTRING lpszRemoteFile, *CSTRING lpBuffer, LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpPutDataA')
	FtpPutFile(LONG hClient, *CSTRING lpszLocalFile, *CSTRING lpszRemoteFile, LONG dwOptions, LONG dwOffset),LONG,PASCAL,RAW,NAME('FtpPutFileA')
	FtpPutMultipleFiles(LONG hClient, *CSTRING lpszLocalDirectory, *CSTRING lpszRemoteDirectory, *CSTRING lpszFileMask, LONG dwReserved),LONG,PASCAL,RAW,NAME('FtpPutMultipleFilesA')
	FtpRead(LONG hClient, *CSTRING lpData, LONG cbData),LONG,PASCAL,RAW
	FtpRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	FtpRemoveDirectory(LONG hClient, *CSTRING lpszPathName),LONG,PASCAL,RAW,NAME('FtpRemoveDirectoryA')
	FtpRenameFile(LONG hClient, *CSTRING lpszOldName, *CSTRING lpszNewName),LONG,PASCAL,RAW,NAME('FtpRenameFileA')
	FtpReset(LONG hClient),LONG,PASCAL,RAW
	FtpSetDirectoryFormat(LONG hClient, LONG idFormat),LONG,PASCAL,RAW
	FtpSetFeatures(LONG hClient, LONG dwFeatures),LONG,PASCAL,RAW
	FtpSetFileMask(LONG hClient, *CSTRING lpszFileMask),LONG,PASCAL,RAW,NAME('FtpSetFileMaskA')
	FtpSetFileMode(LONG hClient, LONG fuMode),LONG,PASCAL,RAW
	FtpSetFilePermissions(LONG hClient, *CSTRING lpszFileName, LONG dwPermissions),LONG,PASCAL,RAW,NAME('FtpSetFilePermissionsA')
	FtpSetFileStructure(LONG hClient, LONG fuStructure),LONG,PASCAL,RAW
	FtpSetFileTime(LONG hClient, *CSTRING lpszFileName, *SYSTEMTIME lpstFileTime),LONG,PASCAL,RAW,NAME('FtpSetFileTimeA')
	FtpSetFileType(LONG hClient, LONG fuType),LONG,PASCAL,RAW
	FtpSetLastError(LONG dwError),PASCAL
	FtpSetPassiveMode(LONG hClient, LONG bPassive),LONG,PASCAL,RAW
	FtpSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	FtpSetBufferSize(LONG hClient, LONG nBufferSize),LONG,PASCAL,RAW
	FtpUninitialize(),PASCAL
	FtpUsername(LONG hClient, *CSTRING lpszUserName),LONG,PASCAL,RAW,NAME('FtpUsernameA')
	FtpWrite(LONG hClient, *CSTRING lpData, LONG cbData),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('GOPHER LIBRARY')
	MODULE('CSGPRAPI')
	COMPILE('**END**',_WIDTH32_)

	GopherAsyncConnect(*CSTRING lpszHostName, LONG nPort, LONG nTimeout, LONG dwOptions, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('GopherAsyncConnectA')
	GopherAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	GopherCancel(LONG hClient),LONG,PASCAL,RAW
	GopherConnect(*CSTRING lpszHostName, LONG nPort, LONG nTimeout, LONG dwOptions),LONG,PASCAL,RAW,NAME('GopherConnectA')
	GopherDisableEvents(LONG hClient),LONG,PASCAL,RAW
	GopherDisableTrace(),LONG,PASCAL,RAW
	GopherDisconnect(LONG hClient),LONG,PASCAL,RAW
	GopherEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	GopherEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	GopherEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('GopherEnableTraceA')
	GopherFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	GopherGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('GopherGetErrorStringA')
	GopherGetLastError(),LONG,PASCAL,RAW
	GopherGetStatus(LONG hClient),LONG,PASCAL,RAW
	GopherGetTimeout(LONG hClient),LONG,PASCAL,RAW
	GopherInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('GopherInitializeA')
	GopherInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('GopherInitializeExA')
	GopherIsBlocking(LONG hClient),LONG,PASCAL,RAW
	GopherIsConnected(LONG hClient),LONG,PASCAL,RAW
	GopherIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	GopherRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	GopherSelectItem(LONG hClient, LONG idType, *CSTRING lpszSelector),LONG,PASCAL,RAW,NAME('GopherSelectItemA')
	GopherRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	GopherSetLastError(LONG dwError),PASCAL
	GopherSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	GopherUninitialize(),PASCAL

	**END**
	END !MODULE

SECTION ('HTTP LIBRARY')
	MODULE('CSHTPAPI')
	COMPILE('**END**',_WIDTH32_)

	HttpAsyncConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG dwVersion, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('HttpAsyncConnectA')
	HttpAsyncProxyConnect(LONG idProxyType, *CSTRING lpszProxyHost, LONG nProxyPort, *CSTRING lpszProxyUser, *CSTRING lpszProxyPassword, *CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG dwVersion, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('HttpAsyncProxyConnectA')
	HttpAuthenticate(LONG hClient, LONG idMethod, *CSTRING lpszUserName, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('HttpAuthenticateA')
	HttpAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	HttpCancel(LONG hClient),LONG,PASCAL,RAW
	HttpCloseFile(LONG hClient),LONG,PASCAL,RAW
	HttpCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszFileName, *CSTRING lpParameter, LONG cbParameter, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpCommandA')
	HttpConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG dwVersion, LONG lpCredentials),LONG,PASCAL,RAW,NAME('HttpConnectA')
	HttpCreateFile(LONG hClient, *CSTRING lpszFileName, LONG dwFileLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpCreateFileA')
	HttpCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('HttpCreateSecurityCredentialsA')
	HttpDeleteFile(LONG hClient, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('HttpDeleteFileA')
	HttpDeleteHeaders(LONG hClient, LONG idHeader),LONG,PASCAL,RAW
	HttpDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('HttpDeleteSecurityCredentialsA')
	HttpDisableEvents(LONG hClient),LONG,PASCAL,RAW
	HttpDisableTrace(),LONG,PASCAL,RAW
	HttpDisconnect(LONG hClient),LONG,PASCAL,RAW
	HttpEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	HttpEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	HttpEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('HttpEnableTraceA')
	HttpFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	HttpGetCookie(LONG hClient, *CSTRING lpszCookieName, *CSTRING lpszCookieValue, LONG nCookieValue, *CSTRING lpszCookiePath, LONG nCookiePath, *CSTRING lpszCookieDomain, LONG nCookieDomain, *SYSTEMTIME lpstCookieExpires, *LONG lpdwCookieFlags),LONG,PASCAL,RAW,NAME('HttpGetCookieA')
	HttpGetEncodingType(LONG hClient),LONG,PASCAL,RAW
	HttpGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('HttpGetErrorStringA')
	HttpGetData(LONG hClient, *CSTRING lpszResource, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwOptions),LONG,PASCAL,RAW,NAME('HttpGetDataA')
	HttpGetFile(LONG hClient, *CSTRING lpszLocalFile, *CSTRING lpszRemoteFile, LONG dwOptions, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpGetFileA')
	HttpGetFileSize(LONG hClient, *CSTRING lpszFileName, *LONG lpdwFileSize),LONG,PASCAL,RAW,NAME('HttpGetFileSizeA')
	HttpGetFileTime(LONG hClient, *CSTRING lpszFileName, *SYSTEMTIME lpstFileTime, LONG bLocalize),LONG,PASCAL,RAW,NAME('HttpGetFileTimeA')
	HttpGetFirstCookie(LONG hClient, *CSTRING lpszName, *LONG lpcchName, *CSTRING lpszValue, *LONG lpcchValue),LONG,PASCAL,RAW,NAME('HttpGetFirstCookieA')
	HttpGetFirstHeader(LONG hClient, LONG idHeader, *CSTRING lpszHeader, *LONG lpcchHeader, *CSTRING lpszValue, *LONG lpcchValue),LONG,PASCAL,RAW,NAME('HttpGetFirstHeaderA')
	HttpGetLastError(),LONG,PASCAL,RAW
	HttpGetNextCookie(LONG hClient, LONG dwCookie, *CSTRING lpszCookieName, *LONG lpnCookieName, *CSTRING lpszCookieValue, *LONG lpnCookieValue),LONG,PASCAL,RAW,NAME('HttpGetNextCookieA')
	HttpGetNextHeader(LONG hClient, LONG idHeader, *CSTRING lpszHeader, *LONG lpcchHeader, *CSTRING lpszValue, *LONG lpcchValue),LONG,PASCAL,RAW,NAME('HttpGetNextHeaderA')
	HttpGetOption(LONG hClient, LONG dwOption, *LONG lpbEnabled),LONG,PASCAL,RAW
	HttpGetRequestHeader(LONG hClient, *CSTRING lpszHeader, *CSTRING lpszValue, LONG cchValue),LONG,PASCAL,RAW,NAME('HttpGetRequestHeaderA')
	HttpGetResponseHeader(LONG hClient, *CSTRING lpszHeader, *CSTRING lpszValue, LONG cchValue),LONG,PASCAL,RAW,NAME('HttpGetResponseHeaderA')
	HttpGetResultCode(LONG hClient),LONG,PASCAL,RAW
	HttpGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cchMessage),LONG,PASCAL,RAW,NAME('HttpGetResultStringA')
	HttpGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('HttpGetSecurityInformationA')
	HttpGetStatus(LONG hClient),LONG,PASCAL,RAW
	HttpGetTimeout(LONG hClient),LONG,PASCAL,RAW
	HttpGetTransferStatus(LONG hClient, *HTTPTRANSFERSTATUS lpStatus),LONG,PASCAL,RAW
	HttpInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpInitializeA')
	HttpInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpInitializeExA')
	HttpIsBlocking(LONG hClient),LONG,PASCAL,RAW
	HttpIsConnected(LONG hClient),LONG,PASCAL,RAW
	HttpIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	HttpIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	HttpOpenFile(LONG hClient, *CSTRING lpszFileName, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpOpenFileA')
	HttpProxyConnect(LONG idProxyType, *CSTRING lpszProxyHost, LONG nProxyPort, *CSTRING lpszProxyUser, *CSTRING lpszProxyPassword, *CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG dwVersion, LONG lpCredentials),LONG,PASCAL,RAW,NAME('HttpProxyConnectA')
	HttpPostData(LONG hClient, *CSTRING lpszResource, *CSTRING lpBuffer, LONG cbBuffer, *CSTRING lpResult, *LONG lpcbResult, LONG dwOptions),LONG,PASCAL,RAW,NAME('HttpPostDataA')
	HttpPostFile(LONG hClient, *CSTRING lpszFileName, *CSTRING lpszResource, *CSTRING lpszFieldName, LONG dwOptions, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpPostFileA')
	HttpPutData(LONG hClient, *CSTRING lpszResource, *CSTRING lpBuffer, LONG dwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpPutDataA')
	HttpPutFile(LONG hClient, *CSTRING lpszLocalFile, *CSTRING lpszRemoteFile, LONG dwOptions, LONG dwReserved),LONG,PASCAL,RAW,NAME('HttpPutFileA')
	HttpRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	HttpRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	HttpSetCookie(LONG hClient, *CSTRING lpszCookieName, *CSTRING lpszCookieValue),LONG,PASCAL,RAW,NAME('HttpSetCookieA')
	HttpSetEncodingType(LONG hClient, LONG nEncodingType),LONG,PASCAL,RAW
	HttpSetLastError(LONG dwError),PASCAL
	HttpSetOption(LONG hClient, LONG dwOption, LONG bEnabled),LONG,PASCAL,RAW
	HttpSetRequestHeader(LONG hClient, *CSTRING lpszHeader, *CSTRING lpszValue),LONG,PASCAL,RAW,NAME('HttpSetRequestHeaderA')
	HttpSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	HttpUninitialize(),PASCAL
	HttpWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('ICMP LIBRARY')
	MODULE('CSICMAPI')
	COMPILE('**END**',_WIDTH32_)

	IcmpAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	IcmpCancel(LONG hClient),LONG,PASCAL,RAW
	IcmpCloseHandle(LONG hClient),LONG,PASCAL,RAW
	IcmpCreateHandle(LONG nPacketSize, LONG nTimeToLive, LONG dwTimeout, LONG dwReserved, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	IcmpDisableEvents(LONG hClient),LONG,PASCAL,RAW
	IcmpDisableTrace(),LONG,PASCAL,RAW
	IcmpEcho(*CSTRING lpszHostName, LONG nIterations, LONG nPacketSize, LONG dwTimeout, LONG dwReserved, *ICMPTIME lpTime),LONG,PASCAL,RAW,NAME('IcmpEchoA')
	IcmpEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	IcmpEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	IcmpEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('IcmpEnableTraceA')
	IcmpFormatAddress(LONG dwAddress, *CSTRING lpszAddress, LONG nMaxLength),LONG,PASCAL,RAW,NAME('IcmpFormatAddressA')
	IcmpFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	IcmpGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('IcmpGetErrorStringA')
	IcmpGetHostAddress(LONG hClient, *CSTRING lpszHostAddress, LONG cbHostAddress),LONG,PASCAL,RAW,NAME('IcmpGetHostAddressA')
	IcmpGetHostName(LONG hClient, *CSTRING lpszHostName, LONG cbHostName),LONG,PASCAL,RAW,NAME('IcmpGetHostNameA')
	IcmpGetLastError(),LONG,PASCAL,RAW
	IcmpGetPacketSize(LONG hClient),LONG,PASCAL,RAW
	IcmpGetRecvCount(LONG hClient),LONG,PASCAL,RAW
	IcmpGetSendCount(LONG hClient),LONG,PASCAL,RAW
	IcmpGetSequenceId(LONG hClient),LONG,PASCAL,RAW
	IcmpGetTimeToLive(LONG hClient),LONG,PASCAL,RAW
	IcmpGetTimeout(LONG hClient),LONG,PASCAL,RAW
	IcmpGetTripTime(LONG hClient, *ICMPTIME lpTime),LONG,PASCAL,RAW
	IcmpInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('IcmpInitializeA')
	IcmpInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('IcmpInitializeExA')
	IcmpIsBlocking(LONG hClient),LONG,PASCAL,RAW
	IcmpRecvEcho(LONG hClient),LONG,PASCAL,RAW
	IcmpRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	IcmpReset(LONG hClient),LONG,PASCAL,RAW
	IcmpResolveAddress(LONG dwAddress, *CSTRING lpszHostName, LONG cchHostName),LONG,PASCAL,RAW,NAME('IcmpResolveAddressA')
	IcmpSendEcho(LONG hClient),LONG,PASCAL,RAW
	IcmpSetHostAddress(LONG hClient, LONG dwAddress),LONG,PASCAL,RAW
	IcmpSetHostName(LONG hClient, *CSTRING lpszAddress),LONG,PASCAL,RAW,NAME('IcmpSetHostNameA')
	IcmpSetLastError(LONG dwError),PASCAL
	IcmpSetPacketSize(LONG hClient, LONG nPacketSize),LONG,PASCAL,RAW
	IcmpSetSequenceId(LONG hClient, LONG nSequenceId),LONG,PASCAL,RAW
	IcmpSetTimeToLive(LONG hClient, LONG nTimeToLive),LONG,PASCAL,RAW
	IcmpSetTimeout(LONG hClient, LONG dwTimeout),LONG,PASCAL,RAW
	IcmpTraceRoute(*CSTRING lpszHostName, LONG nMaxHops, LONG dwTimeout, LONG dwReserved, *ICMPTRACE lpTrace, *LONG lpdwSize),LONG,PASCAL,RAW,NAME('IcmpTraceRouteA')
	IcmpUninitialize(),PASCAL

	**END**
	END !MODULE

SECTION ('IMAP LIBRARY')
	MODULE('CSMAPAPI')
	COMPILE('**END**',_WIDTH32_)

	ImapAsyncConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('ImapAsyncConnectA')
	ImapAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	ImapCancel(LONG hClient),LONG,PASCAL,RAW
	ImapCheckMailbox(LONG hClient, *LONG lpnMessages, *LONG lpnUnseen),LONG,PASCAL,RAW
	ImapCloseMessage(LONG hClient),LONG,PASCAL,RAW
	ImapCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('ImapCommandA')
	ImapConnect(*CSTRING lpszHostName, LONG nPort, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('ImapConnectA')
	ImapCopyMessage(LONG hClient, LONG nMessageId, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapCopyMessageA')
	ImapCreateMailbox(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapCreateMailboxA')
	ImapCreateMessage(LONG hClient, *CSTRING lpszMailbox, LONG dwReserved, *CSTRING lpMessage, LONG dwLength, LONG dwFlags),LONG,PASCAL,RAW
	ImapCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('ImapCreateSecurityCredentialsA')
	ImapDeleteMailbox(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapDeleteMailboxA')
	ImapDeleteMessage(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	ImapDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('ImapDeleteSecurityCredentialsA')
	ImapDisableEvents(LONG hClient),LONG,PASCAL,RAW
	ImapDisableTrace(),LONG,PASCAL,RAW
	ImapDisconnect(LONG hClient),LONG,PASCAL,RAW
	ImapEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	ImapEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	ImapEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('ImapEnableTraceA')
	ImapEnumMessages(LONG hClient, LONG nFirstMessageId, LONG nLastMessageId, LONG dwMessageFlags, LONG dwReserved, *IMAPMESSAGE lpMessageList, LONG nMaxMessages),LONG,PASCAL,RAW
	ImapExamineMailbox(LONG hClient, *CSTRING lpszMailbox, *IMAPMAILBOX lpMailboxInfo),LONG,PASCAL,RAW,NAME('ImapExamineMailboxA')
	ImapExpungeMailbox(LONG hClient, *IMAPMAILBOX lpMailboxInfo),LONG,PASCAL,RAW
	ImapFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	ImapGetCapability(LONG hClient, *CSTRING lpszCapability, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetCapabilityA')
	ImapGetCurrentMailbox(LONG hClient, *CSTRING lpszMailbox, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetCurrentMailboxA')
	ImapGetDeletedMessages(LONG hClient, *LONG lpnMessageIds, LONG nMaxMessages),LONG,PASCAL,RAW
	ImapGetFirstMailbox(LONG hClient, *CSTRING lpszReference, *CSTRING lpszWildcard, LONG dwOptions, LONG lpvReserved, *CSTRING lpszMailbox, LONG nMaxLength, *LONG lpdwFlags),LONG,PASCAL,RAW,NAME('ImapGetFirstMailboxA')
	ImapGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('ImapGetErrorStringA')
	ImapGetHeaderValue(LONG hClient, LONG nMessageId, *CSTRING lpszHeader, *CSTRING lpszValue, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetHeaderValueA')
	ImapGetHeaderValueEx(LONG hClient, LONG nMessageId, LONG nMessagePart, LONG lpvReserved, *CSTRING lpszHeader, *CSTRING lpszValue, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetHeaderValueExA')
	ImapGetLastError(),LONG,PASCAL,RAW
	ImapGetMailboxDelimiter(LONG hClient, *CSTRING lpszMailbox, *CSTRING lpszDelimiter, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetMailboxDelimiterA')
	ImapGetMailboxQuota(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapGetMailboxQuotaA')
	ImapGetMailboxSize(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapGetMailboxSizeA')
	ImapGetMailboxStatus(LONG hClient, *CSTRING lpszMailbox, *IMAPMAILBOXSTATUS lpStatus),LONG,PASCAL,RAW,NAME('ImapGetMailboxStatusA')
	ImapGetMailboxUID(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapGetMailboxUIDA')
	ImapGetMessage(LONG hClient, LONG nMessageId, LONG nMessagePart, *CSTRING lpMessage, *LONG lpdwLength, LONG dwOptions),LONG,PASCAL,RAW
	ImapGetMessageCount(LONG hClient),LONG,PASCAL,RAW
	ImapGetMessageCountEx(LONG hClient, *LONG lpnLastMessage, *LONG lpdwMailboxSize),LONG,PASCAL,RAW
	ImapGetMessageFlags(LONG hClient, LONG nMessageId, *LONG lpdwMessageFlags),LONG,PASCAL,RAW
	ImapGetMessageHeaders(LONG hClient, LONG nMessageId, *CSTRING lpHeader, *LONG lpdwLength),LONG,PASCAL,RAW
	ImapGetMessageId(LONG hClient, LONG nMessageId, *CSTRING lpszMessageId, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetMessageIdA')
	ImapGetMessageParts(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	ImapGetMessageSender(LONG hClient, LONG nMessageId, *CSTRING lpszAddress, LONG nMaxLength),LONG,PASCAL,RAW,NAME('ImapGetMessageSenderA')
	ImapGetMessageSize(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	ImapGetMessageUID(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	ImapGetNewMessages(LONG hClient, *LONG lpnMessageIds, LONG nMaxMessages),LONG,PASCAL,RAW
	ImapGetNextMailbox(LONG hClient, *CSTRING lpszMailbox, LONG nMaxLength, *LONG lpdwFlags),LONG,PASCAL,RAW,NAME('ImapGetNextMailboxA')
	ImapGetResultCode(LONG hClient),LONG,PASCAL,RAW
	ImapGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cbMessage),LONG,PASCAL,RAW,NAME('ImapGetResultStringA')
	ImapGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('ImapGetSecurityInformationA')
	ImapGetStatus(LONG hClient),LONG,PASCAL,RAW
	ImapGetTimeout(LONG hClient),LONG,PASCAL,RAW
	ImapGetTransferStatus(LONG hClient, *IMAPTRANSFERSTATUS lpStatus),LONG,PASCAL,RAW
	ImapGetUnseenMessages(LONG hClient, *LONG lpnMessageIds, LONG nMaxMessages),LONG,PASCAL,RAW
	ImapIdle(LONG hClient, LONG lpfnIdleProc, LONG dwParam, LONG dwReserved),LONG,PASCAL,RAW
	ImapInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('ImapInitializeA')
	ImapInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('ImapInitializeExA')
	ImapIsBlocking(LONG hClient),LONG,PASCAL,RAW
	ImapIsConnected(LONG hClient),LONG,PASCAL,RAW
	ImapIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	ImapIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	ImapLogin(LONG hClient, LONG idAuthType, *CSTRING lpszUsername, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('ImapLoginA')
	ImapOpenMessage(LONG hClient, LONG nMessageId, LONG dwReserved),LONG,PASCAL,RAW
	ImapOpenMessageEx(LONG hClient, LONG nMessageId, LONG nMessagePart, LONG dwOffset, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW
	ImapRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	ImapRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	ImapRenameMailbox(LONG hClient, *CSTRING lpszOldMailbox, *CSTRING lpszNewMailbox),LONG,PASCAL,RAW,NAME('ImapRenameMailboxA')
	ImapReselectMailbox(LONG hClient, *IMAPMAILBOX lpMailboxInfo),LONG,PASCAL,RAW
	ImapSearchMailbox(LONG hClient, *CSTRING lpszCriteria, *CSTRING lpszCharacterSet, LONG dwReserved, *LONG lpnMessageIds, LONG nMaxMessages),LONG,PASCAL,RAW,NAME('ImapSearchMailboxA')
	ImapSelectMailbox(LONG hClient, *CSTRING lpszMailbox, *IMAPMAILBOX lpMailboxInfo),LONG,PASCAL,RAW,NAME('ImapSelectMailboxA')
	ImapSetLastError(LONG dwError),PASCAL
	ImapSetMailboxQuota(LONG hClient, *CSTRING lpszMailbox, LONG dwQuota),LONG,PASCAL,RAW,NAME('ImapSetMailboxQuotaA')
	ImapSetMessageFlags(LONG hClient, LONG nMessageId, LONG nMode, LONG dwMessageFlags),LONG,PASCAL,RAW
	ImapSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	ImapSortMailbox(LONG hClient, *CSTRING lpszSortCriteria, *CSTRING lpszSearchCriteria, *CSTRING lpszCharacterSet, LONG dwReserved, *LONG lpnMessageIds, LONG nMaxMessages),LONG,PASCAL,RAW,NAME('ImapSortMailboxA')
	ImapStoreMessage(LONG hClient, LONG nMessageId, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('ImapStoreMessageA')
	ImapSubscribeMailbox(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapSubscribeMailboxA')
	ImapUndeleteMessage(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	ImapUninitialize(),PASCAL
	ImapUnselectMailbox(LONG hClient, LONG bExpunge),LONG,PASCAL,RAW
	ImapUnsubscribeMailbox(LONG hClient, *CSTRING lpszMailbox),LONG,PASCAL,RAW,NAME('ImapUnsubscribeMailboxA')
	ImapWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('INET LIBRARY')
	MODULE('CSTCPAPI')
	COMPILE('**END**',_WIDTH32_)

	InetInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('InetInitializeA')
	InetInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('InetInitializeExA')
	InetAbortConnection(LONG hSocket),LONG,PASCAL,RAW
	InetAccept(LONG hSocket, LONG nTimeout),LONG,PASCAL,RAW
	InetAcceptEx(LONG hSocket, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('InetAcceptExA')
	InetAsyncAccept(LONG hSocket, LONG nTimeout, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	InetAsyncAcceptEx(LONG hSocket, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('InetAsyncAcceptExA')
	InetAsyncConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('InetAsyncConnectA')
	InetAsyncConnectEx(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, LONG dwOptions, LONG dwLocalAddress, LONG nLocalPort, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('InetAsyncConnectExA')
	InetAsyncListen(LONG dwAddress, LONG nLocalPort, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	InetAsyncListenEx(LONG dwLocalAddress, LONG nLocalPort, LONG nBacklog, LONG dwOptions, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('InetAsyncListenExA')
	InetAttachThread(LONG hSocket, LONG dwThreadId),LONG,PASCAL,RAW
	InetCancelBlockingCall(LONG hSocket),LONG,PASCAL,RAW
	InetConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout),LONG,PASCAL,RAW,NAME('InetConnectA')
	InetConnectEx(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nProtocol, LONG nTimeout, LONG dwOptions, LONG dwLocalAddress, LONG nLocalPort, LONG lpCredentials),LONG,PASCAL,RAW,NAME('InetConnectExA')
	InetCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('InetCreateSecurityCredentialsA')
	InetDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('InetDeleteSecurityCredentialsA')
	InetDisableEvents(LONG hSocket),LONG,PASCAL,RAW
	InetDisableSecurity(LONG hSocket, LONG dwReserved),LONG,PASCAL,RAW
	InetDisableTrace(),LONG,PASCAL,RAW
	InetDisconnect(LONG hSocket),LONG,PASCAL,RAW
	InetEnableEvents(LONG hSocket, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	InetEnableSecurity(LONG hSocket, LONG dwReserved, LONG lpCredentials),LONG,PASCAL,RAW,NAME('InetEnableSecurityA')
	InetEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('InetEnableTraceA')
	InetEnumHostAliases(*CSTRING lpszHostName, *CSTRING lpszBuffer, LONG cbMaxBuffer),LONG,PASCAL,RAW,NAME('InetEnumHostAliasesA')
	InetEnumNetworkAddresses(*LONG lpdwAddressList, LONG nMaxAddresses),LONG,PASCAL,RAW
	InetFlush(LONG hSocket),LONG,PASCAL,RAW
	InetFormatAddress(LONG dwAddress, *CSTRING lpszAddress, LONG cchAddress),LONG,PASCAL,RAW,NAME('InetFormatAddressA')
	InetFreezeEvents(LONG hSocket, LONG bFreeze),LONG,PASCAL,RAW
	InetGetAddress(*CSTRING lpszAddress),LONG,PASCAL,RAW,NAME('InetGetAddressA')
	InetGetBlockingSocket(),LONG,PASCAL,RAW
	InetGetDefaultHostFile(*CSTRING lpszFileName, LONG cchMaxLength),LONG,PASCAL,RAW,NAME('InetGetDefaultHostFileA')
	InetGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('InetGetErrorStringA')
	InetGetHostAddress(*CSTRING lpszHostName),LONG,PASCAL,RAW,NAME('InetGetHostAddressA')
	InetGetHostFile(*CSTRING lpszFileName, LONG cchMaxLength),LONG,PASCAL,RAW,NAME('InetGetHostFileA')
	InetGetHostName(LONG dwAddress, *CSTRING lpszHostName, LONG cchHostName),LONG,PASCAL,RAW,NAME('InetGetHostNameA')
	InetGetLastError(),LONG,PASCAL,RAW
	InetGetLocalAddress(LONG hSocket, *LONG lpdwAddress, *LONG lpnPort),LONG,PASCAL,RAW
	InetGetLocalAddressString(LONG hSocket, *CSTRING lpszAddress, LONG cchAddress),LONG,PASCAL,RAW,NAME('InetGetLocalAddressStringA')
	InetGetLocalName(*CSTRING lpszHostName, LONG cchHostName),LONG,PASCAL,RAW,NAME('InetGetLocalNameA')
	InetGetOption(LONG hSocket, LONG dwOption, *LONG lpbEnabled),LONG,PASCAL,RAW
	InetGetPeerAddress(LONG hSocket, *LONG lpdwAddress, *LONG lpnPort),LONG,PASCAL,RAW
	InetGetPhysicalAddress(*CSTRING lpszAddress, LONG cchAddress),LONG,PASCAL,RAW,NAME('InetGetPhysicalAddressA')
	InetGetSecurityInformation(LONG hSocket, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('InetGetSecurityInformationA')
	InetGetServiceName(LONG nServicePort, *CSTRING lpszServiceName, LONG cchServiceName),LONG,PASCAL,RAW,NAME('InetGetServiceNameA')
	InetGetServicePort(*CSTRING lpszServiceName),LONG,PASCAL,RAW,NAME('InetGetServicePortA')
	InetGetStatus(LONG hSocket),LONG,PASCAL,RAW
	InetGetTimeout(LONG hSocket),LONG,PASCAL,RAW
	InetIsBlocking(LONG hSocket),LONG,PASCAL,RAW
	InetIsConnected(LONG hSocket),LONG,PASCAL,RAW
	InetIsConnectionClosed(LONG hSocket),LONG,PASCAL,RAW
	InetIsListening(LONG hSocket),LONG,PASCAL,RAW
	InetIsReadable(LONG hSocket, LONG dwTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	InetIsUrgent(LONG hSocket),LONG,PASCAL,RAW
	InetIsWritable(LONG hSocket, LONG dwTimeout),LONG,PASCAL,RAW
	InetListen(LONG dwAddress, LONG nLocalPort),LONG,PASCAL,RAW
	InetListenEx(LONG dwAddress, LONG nLocalPort, LONG nBacklog, LONG dwOptions),LONG,PASCAL,RAW,NAME('InetListenExA')
	InetRead(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	InetReadEx(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer, LONG dwReserved, *LONG lpdwRemoteAddress, *LONG lpnRemotePort),LONG,PASCAL,RAW
	InetRegisterEvent(LONG hSocket, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	InetSetHostFile(*CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('InetSetHostFileA')
	InetSetLastError(LONG dwError),PASCAL
	InetSetOption(LONG hSocket, LONG dwOption, LONG bEnable),LONG,PASCAL,RAW
	InetSetTimeout(LONG hSocket, LONG nTimeout),LONG,PASCAL,RAW
	InetShutdown(LONG hSocket, LONG dwOptions),LONG,PASCAL,RAW
	InetWrite(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	InetWriteEx(LONG hSocket, *CSTRING lpBuffer, LONG cbBuffer, LONG dwReserved, LONG dwRemoteAddress, LONG nRemotePort),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('MIME LIBRARY')
	MODULE('CSMSGAPI')
	COMPILE('**END**',_WIDTH32_)

	MimeAppendMessageText(LONG hMessage, *CSTRING lpszText),LONG,PASCAL,RAW,NAME('MimeAppendMessageTextA')
	MimeAttachData(LONG hMessage, *CSTRING lpBuffer, LONG cbBuffer, *CSTRING lpszContentName, *CSTRING lpszContentType, LONG dwOptions),LONG,PASCAL,RAW,NAME('MimeAttachDataA')
	MimeAttachFile(LONG hMessage, *CSTRING lpszFileName, LONG dwOptions),LONG,PASCAL,RAW,NAME('MimeAttachFileA')
	MimeAttachThread(LONG hMessage, LONG dwThreadId),LONG,PASCAL,RAW
	MimeClearMessageHeaders(LONG hMessage),LONG,PASCAL,RAW
	MimeClearMessageText(LONG hMessage),LONG,PASCAL,RAW
	MimeCompareMessageText(LONG hMessage, *LONG lpnOffset, *CSTRING lpszText, LONG cbText, LONG bCaseSensitive),LONG,PASCAL,RAW,NAME('MimeCompareMessageTextA')
	MimeCreateMessage(),LONG,PASCAL,RAW
	MimeCreateMessagePart(LONG hMessage),LONG,PASCAL,RAW
	MimeCreateMessagePartEx(LONG hMessage, LONG idCharacterSet, LONG idEncodingType, *CSTRING lpszMessageText),LONG,PASCAL,RAW,NAME('MimeCreateMessagePartExA')
	MimeDeleteMessage(LONG hMessage),LONG,PASCAL,RAW
	MimeDeleteMessageHeader(LONG hMessage, *CSTRING lpszHeader),LONG,PASCAL,RAW,NAME('MimeDeleteMessageHeaderA')
	MimeDeleteMessagePart(LONG hMessage, LONG nPart),LONG,PASCAL,RAW
	MimeEnumMessageHeaders(LONG hMessage, *CSTRING lpHeaderList, LONG nMaxHeaders),LONG,PASCAL,RAW,NAME('MimeEnumMessageHeadersA')
	MimeEnumMessageRecipients(LONG hMessage, *CSTRING lpszExtraAddress, *CSTRING lpBuffer, *LONG lpcbBuffer),LONG,PASCAL,RAW,NAME('MimeEnumMessageRecipientsA')
	MimeExportMessage(LONG hMessage, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('MimeExportMessageA')
	MimeExportMessageEx(LONG hMessage, LONG dwExportMode, LONG dwExportOptions, *CSTRING lpMessage, *LONG lpdwMessageSize),LONG,PASCAL,RAW,NAME('MimeExportMessageExA')
	MimeExtractFile(LONG hMessage, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('MimeExtractFileA')
	MimeFormatDate(LONG nSeconds, LONG nTimezone, *CSTRING lpszDate, LONG cchDate),CSTRING,PASCAL,RAW,NAME('MimeFormatDateA')
	MimeGetAttachedFileName(LONG hMessage, *CSTRING lpszFileName, LONG cbFileName),LONG,PASCAL,RAW,NAME('MimeGetAttachedFileNameA')
	MimeGetContentDigest(LONG hMessage, *CSTRING lpszDigest, LONG cchDigest),LONG,PASCAL,RAW,NAME('MimeGetContentDigestA')
	MimeGetContentLength(LONG hMessage),LONG,PASCAL,RAW
	MimeGetContentType(LONG hMessage, *CSTRING lpszContentType, LONG cchContentType, *CSTRING lpszContentParams, LONG cchContentParams),LONG,PASCAL,RAW,NAME('MimeGetContentTypeA')
	MimeGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('MimeGetErrorStringA')
	MimeGetExportOptions(LONG hMessage, *LONG lpdwOptions),LONG,PASCAL,RAW
	MimeGetFileContentType(LONG hMessage, *CSTRING lpszFileName, *CSTRING lpszBuffer, LONG cchBuffer),LONG,PASCAL,RAW,NAME('MimeGetFileContentTypeA')
	MimeGetFirstMessageHeader(LONG hMessage, *CSTRING lpszHeader, LONG cchHeader, *CSTRING lpszValue, LONG cchValue),LONG,PASCAL,RAW,NAME('MimeGetFirstMessageHeaderA')
	MimeGetLastError(),LONG,PASCAL,RAW
	MimeGetMessageBoundary(LONG hMessage),CSTRING,PASCAL,RAW,NAME('MimeGetMessageBoundaryA')
	MimeGetMessageDate(LONG hMessage, LONG bLocalize),CSTRING,PASCAL,RAW,NAME('MimeGetMessageDateA')
	MimeGetMessageHeader(LONG hMessage, *CSTRING lpszHeader),CSTRING,PASCAL,RAW,NAME('MimeGetMessageHeaderA')
	MimeGetMessageHeaderEx(LONG hMessage, LONG nPart, *CSTRING lpszHeader, *CSTRING lpszValue, LONG nMaxValue, LONG dwReserved),LONG,PASCAL,RAW,NAME('MimeGetMessageHeaderExA')
	MimeGetMessagePart(LONG hMessage),LONG,PASCAL,RAW
	MimeGetMessagePartCount(LONG hMessage),LONG,PASCAL,RAW
	MimeGetMessageText(LONG hMessage, LONG nOffset, *CSTRING lpszText, LONG cchText),LONG,PASCAL,RAW,NAME('MimeGetMessageTextA')
	MimeGetMessageVersion(LONG hMessage),CSTRING,PASCAL,RAW,NAME('MimeGetMessageVersionA')
	MimeGetNextMessageHeader(LONG hMessage, *CSTRING lpszHeader, LONG cchHeader, *CSTRING lpszValue, LONG cchValue),LONG,PASCAL,RAW,NAME('MimeGetNextMessageHeaderA')
	MimeImportMessage(LONG hMessage, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('MimeImportMessageA')
	MimeImportMessageEx(LONG hMessage, LONG dwImportMode, LONG dwImportOptions, *CSTRING lpMessage, LONG dwMessageSize),LONG,PASCAL,RAW,NAME('MimeImportMessageExA')
	MimeInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('MimeInitializeA')
	MimeParseAddress(*CSTRING lpszString, *CSTRING lpszDomain, *CSTRING lpszAddress, LONG nMaxLength),LONG,PASCAL,RAW,NAME('MimeParseAddressA')
	MimeParseBuffer(LONG hMessage, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('MimeParseBufferA')
	MimeParseDate(*CSTRING lpszDate, LONG bLocalize, *LONG lpnSeconds, *LONG lpnTimezone),LONG,PASCAL,RAW,NAME('MimeParseDateA')
	MimeParseHeader(LONG hMessage, *CSTRING lpszBuffer),LONG,PASCAL,RAW,NAME('MimeParseHeaderA')
	MimeResetMessage(LONG hMessage),LONG,PASCAL,RAW
	MimeSetExportOptions(LONG hMessage, LONG dwOptions),LONG,PASCAL,RAW
	MimeSetFileContentType(LONG hMessage, LONG idContentType, *CSTRING lpszSubtype, *CSTRING lpszExtension),LONG,PASCAL,RAW,NAME('MimeSetFileContentTypeA')
	MimeSetLastError(LONG dwError),PASCAL
	MimeSetMessageDate(LONG hMessage, *CSTRING lpszDate, LONG bLocalize),LONG,PASCAL,RAW,NAME('MimeSetMessageDateA')
	MimeSetMessageHeader(LONG hMessage, *CSTRING lpszHeader, *CSTRING lpszValue),LONG,PASCAL,RAW,NAME('MimeSetMessageHeaderA')
	MimeSetMessageHeaderEx(LONG hMessage, LONG nPart, *CSTRING lpszHeader, *CSTRING lpszValue, LONG dwReserved),LONG,PASCAL,RAW,NAME('MimeSetMessageHeaderExA')
	MimeSetMessagePart(LONG hMessage, LONG nPart),LONG,PASCAL,RAW
	MimeSetMessageText(LONG hMessage, LONG nOffset, *CSTRING lpszText),LONG,PASCAL,RAW,NAME('MimeSetMessageTextA')
	MimeSetMessageVersion(LONG hMessage, *CSTRING lpszVersion),LONG,PASCAL,RAW,NAME('MimeSetMessageVersionA')
	MimeUninitialize(),PASCAL

	**END**
	END !MODULE

SECTION ('NNTP LIBRARY')
	MODULE('CSNWSAPI')
	COMPILE('**END**',_WIDTH32_)

	NntpAsyncConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('NntpAsyncConnectA')
	NntpAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	NntpAuthenticate(LONG hClient, *CSTRING lpszUserName, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('NntpAuthenticateA')
	NntpCancel(LONG hClient),LONG,PASCAL,RAW
	NntpCloseArticle(LONG hClient),LONG,PASCAL,RAW
	NntpCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('NntpCommandA')
	NntpConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('NntpConnectA')
	NntpCreateArticle(LONG hClient),LONG,PASCAL,RAW
	NntpCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('NntpCreateSecurityCredentialsA')
	NntpDisableEvents(LONG hClient),LONG,PASCAL,RAW
	NntpDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('NntpDeleteSecurityCredentialsA')
	NntpDisableTrace(),LONG,PASCAL,RAW
	NntpDisconnect(LONG hClient),LONG,PASCAL,RAW
	NntpEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	NntpEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	NntpEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('NntpEnableTraceA')
	NntpFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	NntpGetArticle(LONG hClient, LONG nArticleId, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW
	NntpGetArticleHeaders(LONG hClient, LONG nArticleId, *CSTRING lpBuffer, *LONG lpdwLength),LONG,PASCAL,RAW
	NntpGetArticleSize(LONG hClient, LONG nArticleId),LONG,PASCAL,RAW
	NntpGetArticleMessageId(LONG hClient, LONG nArticleId, *CSTRING lpszMessageId, LONG cbMessageId),LONG,PASCAL,RAW,NAME('NntpGetArticleMessageIdA')
	NntpGetArticleRange(LONG hClient, *LONG lpnFirst, *LONG lpnLast),LONG,PASCAL,RAW
	NntpGetCurrentArticle(LONG hClient),LONG,PASCAL,RAW
	NntpGetCurrentDate(*CSTRING lpszDate, LONG cbMaxDate),LONG,PASCAL,RAW,NAME('NntpGetCurrentDateA')
	NntpGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('NntpGetErrorStringA')
	NntpGetFirstArticle(LONG hClient, *NEWSARTICLE lpArticle),LONG,PASCAL,RAW,NAME('NntpGetFirstArticleA')
	NntpGetFirstGroup(LONG hClient, *NEWSGROUP lpGroup),LONG,PASCAL,RAW,NAME('NntpGetFirstGroupA')
	NntpGetGroupName(LONG hClient, *CSTRING lpszGroupName, LONG cbGroupName),LONG,PASCAL,RAW,NAME('NntpGetGroupNameA')
	NntpGetGroupTitle(LONG hClient, *CSTRING lpszDescription, LONG cbDescription),LONG,PASCAL,RAW,NAME('NntpGetGroupTitleA')
	NntpGetLastError(),LONG,PASCAL,RAW
	NntpGetMessageIdArticle(LONG hClient, *CSTRING lpszMessageId),LONG,PASCAL,RAW,NAME('NntpGetMessageIdArticleA')
	NntpGetMultiLine(LONG hClient, *LONG lpbMultiLine),LONG,PASCAL,RAW
	NntpGetNextArticle(LONG hClient, *NEWSARTICLE lpArticle),LONG,PASCAL,RAW,NAME('NntpGetNextArticleA')
	NntpGetNextGroup(LONG hClient, *NEWSGROUP lpGroup),LONG,PASCAL,RAW,NAME('NntpGetNextGroupA')
	NntpRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	NntpGetResultCode(LONG hClient),LONG,PASCAL,RAW
	NntpGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cbMessage),LONG,PASCAL,RAW,NAME('NntpGetResultStringA')
	NntpGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('NntpGetSecurityInformationA')
	NntpGetStatus(LONG hClient),LONG,PASCAL,RAW
	NntpGetTimeout(LONG hClient),LONG,PASCAL,RAW
	NntpGetTransferStatus(LONG hClient, *NNTPTRANSFERSTATUS lpStatus),LONG,PASCAL,RAW
	NntpInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('NntpInitializeA')
	NntpInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('NntpInitializeExA')
	NntpIsBlocking(LONG hClient),LONG,PASCAL,RAW
	NntpIsConnected(LONG hClient),LONG,PASCAL,RAW
	NntpIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	NntpIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	NntpListArticles(LONG hClient, LONG nFirst, LONG nLast),LONG,PASCAL,RAW
	NntpListGroups(LONG hClient),LONG,PASCAL,RAW
	NntpListNewGroups(LONG hClient, *CSTRING lpszLastUpdated, LONG bLocalTime),LONG,PASCAL,RAW,NAME('NntpListNewGroupsA')
	NntpOpenArticle(LONG hClient, LONG nArticleId),LONG,PASCAL,RAW
	NntpOpenArticleByMessageId(LONG hClient, *CSTRING lpszMessageId),LONG,PASCAL,RAW,NAME('NntpOpenArticleByMessageIdA')
	NntpOpenNextArticle(LONG hClient),LONG,PASCAL,RAW
	NntpOpenPreviousArticle(LONG hClient),LONG,PASCAL,RAW
	NntpPostArticle(LONG hClient, *CSTRING lpBuffer, LONG dwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('NntpPostArticleA')
	NntpRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	NntpReset(LONG hClient),LONG,PASCAL,RAW
	NntpSelectGroup(LONG hClient, *CSTRING lpszGroupName),LONG,PASCAL,RAW,NAME('NntpSelectGroupA')
	NntpSetLastError(LONG dwError),PASCAL
	NntpSetMultiLine(LONG hClient, LONG bMultiLine),LONG,PASCAL,RAW
	NntpSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	NntpStoreArticle(LONG hClient, LONG nArticleId, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('NntpStoreArticleA')
	NntpUninitialize(),PASCAL
	NntpWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('EMULATION LIBRARY')
	MODULE('CSNVTAPI')
	COMPILE('**END**',_WIDTH32_)

	NvtAttachThread(LONG hDisplay, LONG dwThreadId),LONG,PASCAL,RAW
	NvtClearDisplay(LONG hDisplay, LONG fuMode),LONG,PASCAL,RAW
	NvtConvertDisplayPos(LONG hDisplay, LONG nMethod, LONG xPos, LONG yPos, *WINPOINT lppt),LONG,PASCAL,RAW
	NvtCopySelectedText(LONG hDisplay),LONG,PASCAL,RAW
	NvtCreateDisplay(LONG hWnd, LONG hFont, LONG idEmulation, LONG nColumns, LONG nRows),LONG,PASCAL,RAW
	NvtDeleteChar(LONG hDisplay, LONG nChars),LONG,PASCAL,RAW
	NvtDeleteLine(LONG hDisplay),LONG,PASCAL,RAW
	NvtDestroyDisplay(LONG hDisplay),PASCAL
	NvtEraseChar(LONG hDisplay, LONG nChars),LONG,PASCAL,RAW
	NvtEraseLine(LONG hDisplay, LONG fuMode),LONG,PASCAL,RAW
	NvtGetCursorPos(LONG hDisplay, *LONG lpxPos, *LONG lpyPos),LONG,PASCAL,RAW
	NvtGetDisplayAttributes(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetDisplayCell(LONG hDisplay, LONG xPos, LONG yPos),LONG,PASCAL,RAW
	NvtGetDisplayCellSize(LONG hDisplay, *WINSIZE pCellSize),LONG,PASCAL,RAW
	NvtGetDisplayColor(LONG hDisplay, LONG nTable, LONG bForeground),LONG,PASCAL,RAW
	NvtGetDisplayColorMap(LONG hDisplay, *LONG lpColors, LONG nMaxColors),LONG,PASCAL,RAW
	NvtGetDisplayDC(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetDisplayEmulation(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetDisplayFont(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetDisplayInfo(LONG hDisplay, *NVTDISPLAYINFO lpDisplayInfo),LONG,PASCAL,RAW
	NvtGetDisplayLine(LONG hDisplay, LONG nRow, *CSTRING lpszText, LONG nMaxLength),LONG,PASCAL,RAW,NAME('NvtGetDisplayLineA')
	NvtGetDisplayMode(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetDisplayRect(LONG hDisplay, *WINRECT lprc),LONG,PASCAL,RAW
	NvtGetDisplayScrollPos(LONG hDisplay, LONG nScrollBar),LONG,PASCAL,RAW
	NvtGetDisplaySize(LONG hDisplay, *WINSIZE lpSize),LONG,PASCAL,RAW
	NvtGetDisplayText(LONG hDisplay, LONG nOffset, *CSTRING lpszText, LONG cbText),LONG,PASCAL,RAW,NAME('NvtGetDisplayTextA')
	NvtGetDisplayWindow(LONG hDisplay),LONG,PASCAL,RAW
	NvtGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('NvtGetErrorStringA')
	NvtGetLastError(),LONG,PASCAL,RAW
	NvtGetMappedKey(LONG hDisplay, LONG nMappedKey, *CSTRING lpszBuffer, LONG cchBuffer),LONG,PASCAL,RAW,NAME('NvtGetMappedKeyA')
	NvtGetScrollRegion(LONG hDisplay, *LONG lpnTop, *LONG lpnBottom),LONG,PASCAL,RAW
	NvtGetSelectedText(LONG hDisplay, *CSTRING lpszText, LONG nMaxLength),LONG,PASCAL,RAW,NAME('NvtGetSelectedTextA')
	NvtGetTextColor(LONG hDisplay, *LONG lpclrref, LONG bForeground),LONG,PASCAL,RAW
	NvtInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('NvtInitializeA')
	NvtInsertChar(LONG hDisplay, LONG nChars),LONG,PASCAL,RAW
	NvtInsertLine(LONG hDisplay),LONG,PASCAL,RAW
	NvtRefreshDisplay(LONG hDisplay, LONG bUpdate),LONG,PASCAL,RAW
	NvtResetDisplay(LONG hDisplay, LONG hWnd, LONG hFont, LONG nColumns, LONG nRows),LONG,PASCAL,RAW
	NvtResetMappedKeys(LONG hDisplay),LONG,PASCAL,RAW
	NvtResizeDisplay(LONG hDisplay, LONG cxClient, LONG cyClient),LONG,PASCAL,RAW
	NvtRestoreCursor(LONG hDisplay),LONG,PASCAL,RAW
	NvtSaveCursor(LONG hDisplay),LONG,PASCAL,RAW
	NvtScrollDisplay(LONG hDisplay, LONG bScrollUp),LONG,PASCAL,RAW
	NvtSelectDisplayText(LONG hDisplay, *WINRECT lprc, LONG dwOptions),LONG,PASCAL,RAW
	NvtSetCursorPos(LONG hDisplay, LONG xPos, LONG yPos),LONG,PASCAL,RAW
	NvtSetDisplayAttributes(LONG hDisplay, LONG nAttributes),LONG,PASCAL,RAW
	NvtSetDisplayBackColor(LONG hDisplay, LONG clrref),LONG,PASCAL,RAW
	NvtSetDisplayBoldColor(LONG hDisplay, LONG clrref),LONG,PASCAL,RAW
	NvtSetDisplayCell(LONG hDisplay, LONG xPos, LONG yPos, LONG dwValue),LONG,PASCAL,RAW
	NvtSetDisplayColor(LONG hDisplay, LONG nTable, LONG dwColor, LONG bForeground),LONG,PASCAL,RAW
	NvtSetDisplayColorMap(LONG hDisplay, *LONG lpColor, LONG nMaxColors),LONG,PASCAL,RAW
	NvtSetDisplayDC(LONG hDisplay, LONG hdc),LONG,PASCAL,RAW
	NvtSetDisplayEmulation(LONG hDisplay, LONG idEmulation),LONG,PASCAL,RAW
	NvtSetDisplayFocus(LONG hDisplay, LONG bFocus),LONG,PASCAL,RAW
	NvtSetDisplayFont(LONG hDisplay, LONG hFont),LONG,PASCAL,RAW
	NvtSetDisplayFontName(LONG hDisplay, *CSTRING lpszFontName, LONG nFontSize),LONG,PASCAL,RAW,NAME('NvtSetDisplayFontNameA')
	NvtSetDisplayForeColor(LONG hDisplay, LONG clrref),LONG,PASCAL,RAW
	NvtSetDisplayMode(LONG hDisplay, LONG fuMode, LONG bEnable),LONG,PASCAL,RAW
	NvtSetDisplayScrollPos(LONG hDisplay, LONG nScrollBar, LONG nScrollPos),LONG,PASCAL,RAW
	NvtSetDisplaySize(LONG hDisplay, *WINSIZE lpSize),LONG,PASCAL,RAW
	NvtSetDisplayWindow(LONG hDisplay, LONG hWnd),LONG,PASCAL,RAW
	NvtSetLastError(LONG dwError),PASCAL
	NvtSetMappedKey(LONG hDisplay, LONG nMappedKey, *CSTRING lpszBuffer),LONG,PASCAL,RAW,NAME('NvtSetMappedKeyA')
	NvtSetScrollRegion(LONG hDisplay, LONG nTop, LONG nBottom),LONG,PASCAL,RAW
	NvtSetTextColor(LONG hDisplay, LONG clrref, LONG bForeground),LONG,PASCAL,RAW
	NvtTranslateMappedKey(LONG hDisplay, LONG nChar, LONG nFlags, *LONG lpnMappedKey, *CSTRING lpszBuffer, LONG cchBuffer),LONG,PASCAL,RAW,NAME('NvtTranslateMappedKeyA')
	NvtUninitialize(),PASCAL
	NvtUpdateCaret(LONG hDisplay),LONG,PASCAL,RAW
	NvtUpdateDisplay(LONG hDisplay),LONG,PASCAL,RAW
	NvtWriteDisplay(LONG hDisplay, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('POP LIBRARY')
	MODULE('CSPOPAPI')
	COMPILE('**END**',_WIDTH32_)

	PopAsyncConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('PopAsyncConnectA')
	PopAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	PopCancel(LONG hClient),LONG,PASCAL,RAW
	PopChangePassword(LONG hClient, *CSTRING lpszUserName, *CSTRING lpszOldPassword, *CSTRING lpszNewPassword),LONG,PASCAL,RAW,NAME('PopChangePasswordA')
	PopCloseMessage(LONG hClient),LONG,PASCAL,RAW
	PopCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('PopCommandA')
	PopConnect(*CSTRING lpszHostName, LONG nPort, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('PopConnectA')
	PopCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('PopCreateSecurityCredentialsA')
	PopDeleteMessage(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	PopDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('PopDeleteSecurityCredentialsA')
	PopDisableEvents(LONG hClient),LONG,PASCAL,RAW
	PopDisableTrace(),LONG,PASCAL,RAW
	PopDisconnect(LONG hClient),LONG,PASCAL,RAW
	PopEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	PopEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	PopEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('PopEnableTraceA')
	PopFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	PopGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('PopGetErrorStringA')
	PopGetHeaderValue(LONG hClient, LONG nMessageId, *CSTRING lpszHeader, *CSTRING lpszValue, LONG cchValue),LONG,PASCAL,RAW,NAME('PopGetHeaderValueA')
	PopGetLastError(),LONG,PASCAL,RAW
	PopGetMessage(LONG hClient, LONG nMessageId, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW
	PopGetMessageCount(LONG hClient),LONG,PASCAL,RAW
	PopGetMessageCountEx(LONG hClient, *LONG lpnLastMessage, *LONG lpdwMailboxSize),LONG,PASCAL,RAW
	PopGetMessageHeaders(LONG hClient, LONG nMessageId, *CSTRING lpBuffer, *LONG lpdwLength),LONG,PASCAL,RAW
	PopGetMessageId(LONG hClient, LONG nMessageId, *CSTRING lpszMessageId, LONG cchMessageId),LONG,PASCAL,RAW,NAME('PopGetMessageSenderA')
	PopGetMessageSender(LONG hClient, LONG nMessageId, *CSTRING lpszAddress, LONG cchAddress),LONG,PASCAL,RAW,NAME('PopGetMessageSenderA')
	PopGetMessageSize(LONG hClient, LONG nMessageId),LONG,PASCAL,RAW
	PopGetMessageUID(LONG hClient, LONG nMessageId, *CSTRING lpszMessageUID, LONG nMaxLength),LONG,PASCAL,RAW,NAME('PopGetMessageUIDA')
	PopGetMultiLine(LONG hClient, *LONG lpbMultiLine),LONG,PASCAL,RAW
	PopGetResultCode(LONG hClient),LONG,PASCAL,RAW
	PopGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cbMessage),LONG,PASCAL,RAW,NAME('PopGetResultStringA')
	PopGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('PopGetSecurityInformationA')
	PopGetStatus(LONG hClient),LONG,PASCAL,RAW
	PopGetTimeout(LONG hClient),LONG,PASCAL,RAW
	PopGetTransferStatus(LONG hClient, *POPTRANSFERSTATUS lpStatus),LONG,PASCAL,RAW
	PopInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('PopInitializeA')
	PopInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('PopInitializeExA')
	PopIsBlocking(LONG hClient),LONG,PASCAL,RAW
	PopIsConnected(LONG hClient),LONG,PASCAL,RAW
	PopIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	PopIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	PopLogin(LONG hClient, LONG nAuthType, *CSTRING lpszUsername, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('PopLoginA')
	PopOpenMessage(LONG hClient, LONG nMessageId, LONG dwReserved),LONG,PASCAL,RAW
	PopRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	PopRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	PopReset(LONG hClient),LONG,PASCAL,RAW
	PopSendMessage(LONG hClient, *CSTRING lpszMessage, LONG dwMessageSize, LONG dwReserved),LONG,PASCAL,RAW,NAME('PopSendMessageA')
	PopSetLastError(LONG dwError),PASCAL
	PopSetMultiLine(LONG hClient, LONG bMultiLine),LONG,PASCAL,RAW
	PopSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	PopStoreMessage(LONG hClient, LONG nMessageId, *CSTRING lpszFileName),LONG,PASCAL,RAW,NAME('PopStoreMessageA')
	PopUninitialize(),PASCAL
	PopWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('RSH LIBRARY')
	MODULE('CSRSHAPI')
	COMPILE('**END**',_WIDTH32_)

	RshAsyncExecute(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCommand, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('RshAsyncExecuteA')
	RshAsyncLogin(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwReserved, *CSTRING lpszUserName, *CSTRING lpszTerminal, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('RshAsyncLoginA')
	RshAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	RshCancel(LONG hClient),LONG,PASCAL,RAW
	RshDisableEvents(LONG hClient),LONG,PASCAL,RAW
	RshDisableTrace(),LONG,PASCAL,RAW
	RshDisconnect(LONG hClient),LONG,PASCAL,RAW
	RshEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	RshEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	RshEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('RshEnableTraceA')
	RshExecute(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCommand),LONG,PASCAL,RAW,NAME('RshExecuteA')
	RshFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	RshGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('RshGetErrorStringA')
	RshGetLastError(),LONG,PASCAL,RAW
	RshGetStatus(LONG hClient),LONG,PASCAL,RAW
	RshGetTimeout(LONG hClient),LONG,PASCAL,RAW
	RshInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('RshInitializeA')
	RshInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('RshInitializeExA')
	RshIsBlocking(LONG hClient),LONG,PASCAL,RAW
	RshIsConnected(LONG hClient),LONG,PASCAL,RAW
	RshIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	RshIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	RshLogin(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwReserved, *CSTRING lpszUserName, *CSTRING lpszTerminal),LONG,PASCAL,RAW,NAME('RshLoginA')
	RshRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	RshRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	RshSearch(LONG hClient, *CSTRING lpszString, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('RshSearchA')
	RshSetLastError(LONG dwError),PASCAL
	RshSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	RshUninitialize(),PASCAL
	RshWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('SMTP LIBRARY')
	MODULE('CSMTPAPI')
	COMPILE('**END**',_WIDTH32_)

	SmtpAddRecipient(LONG hClient, *CSTRING lpszAddress),LONG,PASCAL,RAW,NAME('SmtpAddRecipientA')
	SmtpAppendMessage(LONG hClient, *CSTRING lpMessage, LONG dwMessageSize, LONG dwOptions),LONG,PASCAL,RAW,NAME('SmtpAppendMessageA')
	SmtpAsyncConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, *CSTRING lpszLocalName, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('SmtpAsyncConnectA')
	SmtpAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	SmtpAuthenticate(LONG hClient, LONG nAuthType, *CSTRING lpszUserName, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('SmtpAuthenticateA')
	SmtpCancel(LONG hClient),LONG,PASCAL,RAW
	SmtpCloseMessage(LONG hClient),LONG,PASCAL,RAW
	SmtpCommand(LONG hClient, *CSTRING lpszCommand, *CSTRING lpszParam),LONG,PASCAL,RAW,NAME('SmtpCommandA')
	SmtpConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, *CSTRING lpszLocalName, LONG lpCredentials),LONG,PASCAL,RAW,NAME('SmtpConnectA')
	SmtpCreateMessage(LONG hClient, *CSTRING lpszSender, LONG dwMessageSize, LONG dwReserved),LONG,PASCAL,RAW,NAME('SmtpCreateMessageA')
	SmtpCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('SmtpCreateSecurityCredentialsA')
	SmtpDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('SmtpDeleteSecurityCredentialsA')
	SmtpDisableEvents(LONG hClient),LONG,PASCAL,RAW
	SmtpDisableTrace(),LONG,PASCAL,RAW
	SmtpDisconnect(LONG hClient),LONG,PASCAL,RAW
	SmtpEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	SmtpEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	SmtpEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('SmtpEnableTraceA')
	SmtpExpandAddress(LONG hClient, *CSTRING lpszAddress, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('SmtpExpandAddressA')
	SmtpFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	SmtpGetCurrentDate(*CSTRING lpszDate, LONG cbMaxDate),LONG,PASCAL,RAW,NAME('SmtpGetCurrentDateA')
	SmtpGetDeliveryOptions(LONG hClient, *LONG lpdwOptions),LONG,PASCAL,RAW
	SmtpGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('SmtpGetErrorStringA')
	SmtpGetExtendedOptions(LONG hClient, *LONG lpdwOptions),LONG,PASCAL,RAW
	SmtpGetLastError(),LONG,PASCAL,RAW
	SmtpGetResultCode(LONG hClient),LONG,PASCAL,RAW
	SmtpGetResultString(LONG hClient, *CSTRING lpszMessage, LONG cbMessage),LONG,PASCAL,RAW,NAME('SmtpGetResultStringA')
	SmtpGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('SmtpGetSecurityInformationA')
	SmtpGetStatus(LONG hClient),LONG,PASCAL,RAW
	SmtpGetTimeout(LONG hClient),LONG,PASCAL,RAW
	SmtpGetTransferStatus(LONG hClient, *SMTPTRANSFERSTATUS lpStatus),LONG,PASCAL,RAW
	SmtpInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('SmtpInitializeA')
	SmtpInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('SmtpInitializeExA')
	SmtpIsBlocking(LONG hClient),LONG,PASCAL,RAW
	SmtpIsConnected(LONG hClient),LONG,PASCAL,RAW
	SmtpIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	SmtpIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	SmtpRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	SmtpReset(LONG hClient),LONG,PASCAL,RAW
	SmtpSendMessage(LONG hClient, *CSTRING lpszSender, *CSTRING lpszRecipient, *CSTRING lpMessage, LONG dwMessageSize, LONG dwOptions),LONG,PASCAL,RAW,NAME('SmtpSendMessageA')
	SmtpSetDeliveryOptions(LONG hClient, LONG dwOptions),LONG,PASCAL,RAW
	SmtpSetLastError(LONG dwError),PASCAL
	SmtpSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	SmtpUninitialize(),PASCAL
	SmtpVerifyAddress(LONG hClient, *CSTRING lpszAddress, *CSTRING lpszBuffer, LONG cbBuffer),LONG,PASCAL,RAW,NAME('SmtpVerifyAddressA')
	SmtpWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('TELNET LIBRARY')
	MODULE('CSTNTAPI')
	COMPILE('**END**',_WIDTH32_)

	TelnetAsyncConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('TelnetAsyncConnectA')
	TelnetAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	TelnetAbort(LONG hClient),LONG,PASCAL,RAW
	TelnetBreak(LONG hClient),LONG,PASCAL,RAW
	TelnetCancel(LONG hClient),LONG,PASCAL,RAW
	TelnetConnect(*CSTRING lpszHostName, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG lpCredentials),LONG,PASCAL,RAW,NAME('TelnetConnectA')
	TelnetCreateSecurityCredentials(LONG dwProtocol, LONG dwOptions, *CSTRING lpszUserName, *CSTRING lpszPassword, *CSTRING lpszCertStore, *CSTRING lpszCertName, LONG lpvReserved, *LONG lppCredentials),LONG,PASCAL,RAW,NAME('TelnetCreateSecurityCredentialsA')
	TelnetDeleteSecurityCredentials(*LONG lppCredentials),PASCAL,NAME('TelnetDeleteSecurityCredentialsA')
	TelnetDisableTrace(),LONG,PASCAL,RAW
	TelnetDisableEvents(LONG hClient),LONG,PASCAL,RAW
	TelnetDisconnect(LONG hClient),LONG,PASCAL,RAW
	TelnetEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	TelnetEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	TelnetEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('TelnetEnableTraceA')
	TelnetFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	TelnetGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('TelnetGetErrorStringA')
	TelnetGetLastError(),LONG,PASCAL,RAW
	TelnetGetMode(LONG hClient),LONG,PASCAL,RAW
	TelnetGetSecurityInformation(LONG hClient, *SECURITYINFO lpSecurityInfo),LONG,PASCAL,RAW,NAME('TelnetGetSecurityInformationA')
	TelnetGetStatus(LONG hClient),LONG,PASCAL,RAW
	TelnetGetTerminalType(LONG hClient, *CSTRING lpszType, LONG cbType),LONG,PASCAL,RAW,NAME('TelnetGetTerminalTypeA')
	TelnetGetTimeout(LONG hClient),LONG,PASCAL,RAW
	TelnetInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('TelnetInitializeA')
	TelnetInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('TelnetInitializeExA')
	TelnetIsBlocking(LONG hClient),LONG,PASCAL,RAW
	TelnetIsConnected(LONG hClient),LONG,PASCAL,RAW
	TelnetIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	TelnetIsThere(LONG hClient),LONG,PASCAL,RAW
	TelnetIsWritable(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	TelnetLogin(LONG hClient, *CSTRING lpszUserName, *CSTRING lpszPassword),LONG,PASCAL,RAW,NAME('TelnetLoginA')
	TelnetRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	TelnetRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	TelnetSearch(LONG hClient, *CSTRING lpszString, *CSTRING lpBuffer, *LONG lpdwLength, LONG dwReserved),LONG,PASCAL,RAW,NAME('TelnetSearchA')
	TelnetSetLastError(LONG dwError),PASCAL
	TelnetSetMode(LONG hClient, LONG fuMode, LONG bEnable),LONG,PASCAL,RAW
	TelnetSetTerminalType(LONG hClient, *CSTRING lpszType),LONG,PASCAL,RAW,NAME('TelnetSetTerminalTypeA')
	TelnetSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	TelnetUninitialize(),PASCAL
	TelnetWrite(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('TIME LIBRARY')
	MODULE('CSTIMAPI')
	COMPILE('**END**',_WIDTH32_)

	ConvertNetworkTime(LONG dwNetworkTime, *SYSTEMTIME lpSystemTime, LONG bLocalTime),LONG,PASCAL,RAW
	ConvertSystemTime(*SYSTEMTIME lpSystemTime),LONG,PASCAL,RAW
	GetNetworkTime(*CSTRING lpszHostName, LONG nPort, LONG nTimeout),LONG,PASCAL,RAW,NAME('GetNetworkTimeA')
	QueryNetworkTime(*CSTRING lpszHostName, LONG nPort, LONG dwOptions, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('QueryNetworkTimeA')
	ReadNetworkTime(LONG hClient),LONG,PASCAL,RAW
	TimeAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	TimeDisableEvents(LONG hClient),LONG,PASCAL,RAW
	TimeDisableTrace(),LONG,PASCAL,RAW
	TimeEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	TimeEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	TimeEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('TimeEnableTraceA')
	TimeFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	TimeGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('TimeGetErrorStringA')
	TimeGetLastError(),LONG,PASCAL,RAW
	TimeGetStatus(LONG hClient),LONG,PASCAL,RAW
	TimeInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('TimeInitializeA')
	TimeInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('TimeInitializeExA')
	TimeRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	TimeSetLastError(LONG dwError),PASCAL
	TimeUninitialize(),PASCAL
	UpdateLocalTime(LONG dwNetworkTime),LONG,PASCAL,RAW

	**END**
	END !MODULE

SECTION ('WHOIS LIBRARY')
	MODULE('CSWHOAPI')
	COMPILE('**END**',_WIDTH32_)

	WhoisAsyncConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW,NAME('WhoisAsyncConnectA')
	WhoisAttachThread(LONG hClient, LONG dwThreadId),LONG,PASCAL,RAW
	WhoisCancel(LONG hClient),LONG,PASCAL,RAW
	WhoisConnect(*CSTRING lpszRemoteHost, LONG nRemotePort, LONG nTimeout, LONG dwOptions),LONG,PASCAL,RAW,NAME('WhoisConnectA')
	WhoisDisableEvents(LONG hClient),LONG,PASCAL,RAW
	WhoisDisableTrace(),LONG,PASCAL,RAW
	WhoisDisconnect(LONG hClient),LONG,PASCAL,RAW
	WhoisEnableEvents(LONG hClient, LONG hEventWnd, LONG uEventMsg),LONG,PASCAL,RAW
	WhoisEnableEventsEx(LONG hClient, LONG hEventWnd, LONG uEventMsg, LONG uEventMask),LONG,PASCAL,RAW
	WhoisEnableTrace(*CSTRING lpszTraceFile, LONG dwTraceFlags),LONG,PASCAL,RAW,NAME('WhoisEnableTraceA')
	WhoisFreezeEvents(LONG hClient, LONG bFreeze),LONG,PASCAL,RAW
	WhoisGetErrorString(LONG dwError, *CSTRING lpszError, LONG cbError),LONG,PASCAL,RAW,NAME('WhoisGetErrorStringA')
	WhoisGetLastError(),LONG,PASCAL,RAW
	WhoisGetStatus(LONG hClient),LONG,PASCAL,RAW
	WhoisGetTimeout(LONG hClient),LONG,PASCAL,RAW
	WhoisInitialize(*CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('WhoisInitializeA')
	WhoisInitializeEx(*CSTRING lpszModuleName, *CSTRING lpszRuntimeKey, LONG dwReserved),LONG,PASCAL,RAW,NAME('WhoisInitializeExA')
	WhoisIsBlocking(LONG hClient),LONG,PASCAL,RAW
	WhoisIsReadable(LONG hClient, LONG nTimeout, *LONG lpdwAvail),LONG,PASCAL,RAW
	WhoisRead(LONG hClient, *CSTRING lpBuffer, LONG cbBuffer),LONG,PASCAL,RAW
	WhoisRegisterEvent(LONG hClient, LONG nEventId, LONG lpfnEventProc, LONG dwParam),LONG,PASCAL,RAW
	WhoisSearch(LONG hClient, *CSTRING lpszKeyword, LONG nSearchType),LONG,PASCAL,RAW,NAME('WhoisSearchA')
	WhoisSetLastError(LONG dwError),PASCAL
	WhoisSetTimeout(LONG hClient, LONG nTimeout),LONG,PASCAL,RAW
	WhoisUninitialize(),PASCAL

	**END**
	END !MODULE

