!
! SocketTools 4.0 Error Codes
!
! Copyright 1995-2004, Catalyst Development Corporation
! All rights reserved
!
! This module contains the confidential and proprietary information
! of Catalyst Development Corporation and may not be redistributed.
!
! This product is licensed to you pursuant to the terms of the
! Catalyst license agreement included with the original software,
! and is protected by copyright law and international treaties.
! Unauthorized reproduction or distribution may result in severe
! criminal penalties.
!

ST_ERROR_NOT_HANDLE_OWNER				EQUATE(80042711h)
ST_ERROR_FILE_NOT_FOUND					EQUATE(80042712h)
ST_ERROR_FILE_NOT_CREATED				EQUATE(80042713h)
ST_ERROR_OPERATION_CANCELED				EQUATE(80042714h)
ST_ERROR_INVALID_FILE_TYPE				EQUATE(80042715h)
ST_ERROR_INVALID_DEVICE					EQUATE(80042716h)
ST_ERROR_TOO_MANY_PARAMETERS			EQUATE(80042717h)
ST_ERROR_INVALID_FILE_NAME				EQUATE(80042718h)
ST_ERROR_INVALID_FILE_HANDLE			EQUATE(80042719h)
ST_ERROR_FILE_READ_FAILED				EQUATE(8004271Ah)
ST_ERROR_FILE_WRITE_FAILED				EQUATE(8004271Bh)
ST_ERROR_OUT_OF_MEMORY					EQUATE(8004271Ch)
ST_ERROR_ACCESS_DENIED					EQUATE(8004271Dh)
ST_ERROR_INVALID_PARAMETER				EQUATE(8004271Eh)
ST_ERROR_CLIPBOARD_UNAVAILABLE			EQUATE(8004271Fh)
ST_ERROR_CLIPBOARD_EMPTY				EQUATE(80042720h)
ST_ERROR_FILE_EMPTY						EQUATE(80042721h)
ST_ERROR_FILE_EXISTS					EQUATE(80042722h)
ST_ERROR_END_OF_FILE					EQUATE(80042723h)
ST_ERROR_DEVICE_NOT_FOUND				EQUATE(80042724h)
ST_ERROR_DIRECTORY_NOT_FOUND			EQUATE(80042725h)
ST_ERROR_INVALID_BUFFER					EQUATE(80042726h)
ST_ERROR_BUFFER_TOO_SMALL				EQUATE(80042727h)
ST_ERROR_NO_HANDLES						EQUATE(80042728h)
ST_ERROR_OPERATION_WOULD_BLOCK			EQUATE(80042733h)
ST_ERROR_OPERATION_IN_PROGRESS			EQUATE(80042734h)
ST_ERROR_ALREADY_IN_PROGRESS			EQUATE(80042735h)
ST_ERROR_INVALID_HANDLE					EQUATE(80042736h)
ST_ERROR_INVALID_ADDRESS				EQUATE(80042737h)
ST_ERROR_INVALID_SIZE					EQUATE(80042738h)
ST_ERROR_INVALID_PROTOCOL				EQUATE(80042739h)
ST_ERROR_PROTOCOL_NOT_AVAILABLE			EQUATE(8004273Ah)
ST_ERROR_PROTOCOL_NOT_SUPPORTED			EQUATE(8004273Bh)
ST_ERROR_SOCKET_NOT_SUPPORTED			EQUATE(8004273Ch)
ST_ERROR_INVALID_OPTION					EQUATE(8004273Dh)
ST_ERROR_PROTOCOL_FAMILY				EQUATE(8004273Eh)
ST_ERROR_PROTOCOL_ADDRESS				EQUATE(8004273Fh)
ST_ERROR_ADDRESS_IN_USE					EQUATE(80042740h)
ST_ERROR_ADDRESS_UNAVAILABLE			EQUATE(80042741h)
ST_ERROR_NETWORK_UNAVAILABLE			EQUATE(80042742h)
ST_ERROR_NETWORK_UNREACHABLE			EQUATE(80042743h)
ST_ERROR_NETWORK_RESET					EQUATE(80042744h)
ST_ERROR_CONNECTION_ABORTED				EQUATE(80042745h)
ST_ERROR_CONNECTION_RESET				EQUATE(80042746h)
ST_ERROR_OUT_OF_BUFFERS					EQUATE(80042747h)
ST_ERROR_ALREADY_CONNECTED				EQUATE(80042748h)
ST_ERROR_NOT_CONNECTED					EQUATE(80042749h)
ST_ERROR_CONNECTION_SHUTDOWN			EQUATE(8004274Ah)
ST_ERROR_OPERATION_TIMEOUT				EQUATE(8004274Ch)
ST_ERROR_CONNECTION_REFUSED				EQUATE(8004274Dh)
ST_ERROR_HOST_UNAVAILABLE				EQUATE(80042750h)
ST_ERROR_HOST_UNREACHABLE				EQUATE(80042751h)
ST_ERROR_TOO_MANY_PROCESSES				EQUATE(80042753h)
ST_ERROR_NETWORK_NOT_READY				EQUATE(8004276Bh)
ST_ERROR_INVALID_VERSION				EQUATE(8004276Ch)
ST_ERROR_NETWORK_NOT_INITIALIZED		EQUATE(8004276Dh)
ST_ERROR_REMOTE_SHUTDOWN				EQUATE(80042775h)
ST_ERROR_INVALID_HOSTNAME				EQUATE(80042AF9h)
ST_ERROR_HOSTNAME_NOT_FOUND				EQUATE(80042AFAh)
ST_ERROR_HOSTNAME_REFUSED				EQUATE(80042AFBh)
ST_ERROR_HOSTNAME_NOT_RESOLVED			EQUATE(80042AFCh)
ST_ERROR_INVALID_LICENSE				EQUATE(80042EE1h)
ST_ERROR_PRODUCT_NOT_LICENSED			EQUATE(80042EE2h)
ST_ERROR_NOT_IMPLEMENTED				EQUATE(80042EE3h)
ST_ERROR_UNKNOWN_LOCALHOST				EQUATE(80042EE4h)
ST_ERROR_INVALID_HOSTADDRESS			EQUATE(80042EE5h)
ST_ERROR_INVALID_SERVICE_PORT			EQUATE(80042EE6h)
ST_ERROR_INVALID_SERVICE_NAME			EQUATE(80042EE7h)
ST_ERROR_INVALID_EVENTID				EQUATE(80042EE8h)
ST_ERROR_OPERATION_NOT_BLOCKING			EQUATE(80042EE9h)
ST_ERROR_SECURITY_NOT_INITIALIZED		EQUATE(80042F45h)
ST_ERROR_SECURITY_CONTEXT				EQUATE(80042F46h)
ST_ERROR_SECURITY_CREDENTIALS			EQUATE(80042F47h)
ST_ERROR_SECURITY_CERTIFICATE			EQUATE(80042F48h)
ST_ERROR_SECURITY_DECRYPTION			EQUATE(80042F49h)
ST_ERROR_SECURITY_ENCRYPTION			EQUATE(80042F4Ah)
ST_ERROR_OPERATION_NOT_SUPPORTED		EQUATE(80042FA9h)
ST_ERROR_INVALID_PROTOCOL_VERSION		EQUATE(80042FAAh)
ST_ERROR_NO_SERVER_RESPONSE				EQUATE(80042FABh)
ST_ERROR_INVALID_SERVER_RESPONSE		EQUATE(80042FACh)
ST_ERROR_UNEXPECTED_SERVER_RESPONSE		EQUATE(80042FADh)
ST_ERROR_SERVER_TRANSACTION_FAILED		EQUATE(80042FAEh)
ST_ERROR_SERVICE_UNAVAILABLE			EQUATE(80042FAFh)
ST_ERROR_SERVICE_NOT_READY				EQUATE(80042FB0h)
ST_ERROR_SERVER_RESYNC_FAILED			EQUATE(80042FB1h)
ST_ERROR_INVALID_PROXY_TYPE				EQUATE(80042FB2h)
ST_ERROR_PROXY_REQUIRED					EQUATE(80042FB3h)
ST_ERROR_INVALID_PROXY_LOGIN			EQUATE(80042FB4h)
ST_ERROR_PROXY_RESYNC_FAILED			EQUATE(80042FB5h)
ST_ERROR_INVALID_COMMAND				EQUATE(80042FB6h)
ST_ERROR_INVALID_COMMAND_PARAMETER		EQUATE(80042FB7h)
ST_ERROR_INVALID_COMMAND_SEQUENCE		EQUATE(80042FB8h)
ST_ERROR_COMMAND_NOT_IMPLEMENTED		EQUATE(80042FB9h)
ST_ERROR_COMMAND_NOT_AUTHORIZED			EQUATE(80042FBAh)
ST_ERROR_COMMAND_ABORTED				EQUATE(80042FBBh)
ST_ERROR_OPTION_NOT_SUPPORTED			EQUATE(80042FBCh)
ST_ERROR_REQUEST_NOT_COMPLETED			EQUATE(80042FBDh)
ST_ERROR_INVALID_USERNAME				EQUATE(80042FBEh)
ST_ERROR_INVALID_PASSWORD				EQUATE(80042FBFh)
ST_ERROR_INVALID_ACCOUNT				EQUATE(80042FC0h)
ST_ERROR_ACCOUNT_REQUIRED				EQUATE(80042FC1h)
ST_ERROR_INVALID_AUTHENTICATION_TYPE	EQUATE(80042FC2h)
ST_ERROR_AUTHENTICATION_REQUIRED		EQUATE(80042FC3h)
ST_ERROR_PROXY_AUTHENTICATION_REQUIRED	EQUATE(80042FC4h)
ST_ERROR_ALREADY_AUTHENTICATED			EQUATE(80042FC5h)
ST_ERROR_AUTHENTICATION_FAILED			EQUATE(80042FC6h)
ST_ERROR_NETWORK_ADAPTER				EQUATE(80042FDBh)
ST_ERROR_INVALID_RECORD_TYPE			EQUATE(80042FDCh)
ST_ERROR_INVALID_RECORD_NAME			EQUATE(80042FDDh)
ST_ERROR_INVALID_RECORD_DATA			EQUATE(80042FDEh)
ST_ERROR_CONNECTION_OPEN				EQUATE(80042FDFh)
ST_ERROR_CONNECTION_CLOSED				EQUATE(80042FE0h)
ST_ERROR_CONNECTION_PASSIVE				EQUATE(80042FE1h)
ST_ERROR_CONNECTION_FAILED				EQUATE(80042FE2h)
ST_ERROR_INVALID_SECURITY_LEVEL			EQUATE(80042FE3h)
ST_ERROR_CACHED_TLS_REQUIRED			EQUATE(80042FE4h)
ST_ERROR_DATA_READ_ONLY					EQUATE(80042FE5h)
ST_ERROR_DATA_WRITE_ONLY				EQUATE(80042FE6h)
ST_ERROR_END_OF_DATA					EQUATE(80042FE7h)
ST_ERROR_REMOTE_FILE_UNAVAILABLE		EQUATE(80042FE8h)
ST_ERROR_INSUFFICIENT_STORAGE			EQUATE(80042FE9h)
ST_ERROR_STORAGE_ALLOCATION				EQUATE(80042FEAh)
ST_ERROR_DIRECTORY_EXISTS				EQUATE(80042FEBh)
ST_ERROR_DIRECTORY_EMPTY				EQUATE(80042FECh)
ST_ERROR_END_OF_DIRECTORY				EQUATE(80042FEDh)
ST_ERROR_UNKNOWN_DIRECTORY_FORMAT		EQUATE(80042FEEh)
ST_ERROR_INVALID_RESOURCE				EQUATE(80042FEFh)
ST_ERROR_RESOURCE_REDIRECTED			EQUATE(80042FF0h)
ST_ERROR_RESOURCE_RESTRICTED			EQUATE(80042FF1h)
ST_ERROR_RESOURCE_NOT_MODIFIED			EQUATE(80042FF2h)
ST_ERROR_RESOURCE_NOT_FOUND				EQUATE(80042FF3h)
ST_ERROR_RESOURCE_CONFLICT				EQUATE(80042FF4h)
ST_ERROR_RESOURCE_REMOVED				EQUATE(80042FF5h)
ST_ERROR_CONTENT_LENGTH_REQUIRED		EQUATE(80042FF6h)
ST_ERROR_REQUEST_PRECONDITION			EQUATE(80042FF7h)
ST_ERROR_UNSUPPORTED_MEDIA_TYPE			EQUATE(80042FF8h)
ST_ERROR_INVALID_CONTENT_RANGE			EQUATE(80042FF9h)
ST_ERROR_INVALID_MESSAGE_PART			EQUATE(80042FFAh)
ST_ERROR_INVALID_MESSAGE_HEADER			EQUATE(80042FFBh)
ST_ERROR_INVALID_MESSAGE_BOUNDARY		EQUATE(80042FFCh)
ST_ERROR_NO_FILE_ATTACHMENT				EQUATE(80042FFDh)
ST_ERROR_UNKNOWN_FILE_TYPE				EQUATE(80042FFEh)
ST_ERROR_DATA_NOT_ENCODED				EQUATE(80042FFFh)
ST_ERROR_DATA_NOT_DECODED				EQUATE(80043000h)
ST_ERROR_FILE_NOT_ENCODED				EQUATE(80043001h)
ST_ERROR_FILE_NOT_DECODED				EQUATE(80043002h)
ST_ERROR_NO_MESSAGE_TEXT				EQUATE(80043003h)
ST_ERROR_INVALID_CHARACTER_SET			EQUATE(80043004h)
ST_ERROR_INVALID_ENCODING_TYPE			EQUATE(80043005h)
ST_ERROR_INVALID_MESSAGE_NUMBER			EQUATE(80043006h)
ST_ERROR_NO_RETURN_ADDRESS				EQUATE(80043007h)
ST_ERROR_NO_VALID_RECIPIENTS			EQUATE(80043008h)
ST_ERROR_INVALID_RECIPIENT				EQUATE(80043009h)
ST_ERROR_RELAY_NOT_AUTHORIZED			EQUATE(8004300Ah)
ST_ERROR_MAILBOX_UNAVAILABLE			EQUATE(8004300Bh)
ST_ERROR_MAILBOX_READONLY				EQUATE(8004300Ch)
ST_ERROR_MAILBOX_NOT_SELECTED			EQUATE(8004300Dh)
ST_ERROR_INVALID_MAILBOX				EQUATE(8004300Eh)
ST_ERROR_INVALID_DOMAIN					EQUATE(8004300Fh)
ST_ERROR_INVALID_SENDER					EQUATE(80043010h)
ST_ERROR_MESSAGE_NOT_DELIVERED			EQUATE(80043011h)
ST_ERROR_END_OF_MESSAGE_DATA			EQUATE(80043012h)
ST_ERROR_INVALID_MESSAGE_SIZE			EQUATE(80043013h)
ST_ERROR_MESSAGE_NOT_CREATED			EQUATE(80043014h)
ST_ERROR_NO_MORE_MAILBOXES				EQUATE(80043015h)
ST_ERROR_INVALID_EMULATION_TYPE			EQUATE(80043016h)
ST_ERROR_INVALID_FONT_HANDLE			EQUATE(80043017h)
ST_ERROR_INVALID_FONT_NAME				EQUATE(80043018h)
ST_ERROR_INVALID_PACKET_SIZE			EQUATE(80043019h)
ST_ERROR_INVALID_PACKET_DATA			EQUATE(8004301Ah)
ST_ERROR_INVALID_PACKET_ID				EQUATE(8004301Bh)
ST_ERROR_PACKET_TTL_EXPIRED				EQUATE(8004301Ch)
ST_ERROR_INVALID_NEWSGROUP				EQUATE(8004301Dh)
ST_ERROR_NO_NEWSGROUP_SELECTED			EQUATE(8004301Eh)
ST_ERROR_EMPTY_NEWSGROUP				EQUATE(8004301Fh)
ST_ERROR_INVALID_ARTICLE				EQUATE(80043020h)
ST_ERROR_NO_ARTICLE_SELECTED			EQUATE(80043021h)
ST_ERROR_FIRST_ARTICLE					EQUATE(80043022h)
ST_ERROR_LAST_ARTICLE					EQUATE(80043023h)
ST_ERROR_ARTICLE_EXISTS					EQUATE(80043024h)
ST_ERROR_ARTICLE_REJECTED				EQUATE(80043025h)
ST_ERROR_ARTICLE_TRANSFER_FAILED		EQUATE(80043026h)
ST_ERROR_ARTICLE_POSTING_DENIED			EQUATE(80043027h)
ST_ERROR_ARTICLE_POSTING_FAILED			EQUATE(80043028h)
ST_ERROR_INVALID_DATE_FORMAT			EQUATE(80043029h)
ST_ERROR_FEATURE_NOT_SUPPORTED			EQUATE(8004302Ah)

